(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[         0,          0]
NotebookDataLength[     90313,       2336]
NotebookOptionsPosition[     87375,       2234]
NotebookOutlinePosition[     87874,       2254]
CellTagsIndexPosition[     87831,       2251]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["OPE\[CloseCurlyQuote]s in 2d and higher", "Title",
 CellChangeTimes->{{3.702201236344453*^9, 3.70220124321485*^9}}],

Cell[CellGroupData[{

Cell["2D \[Beta]\[Gamma] systems", "Section",
 CellChangeTimes->{{3.702201245422615*^9, 3.70220125138232*^9}}],

Cell[TextData[StyleBox["Exercise: Generalize the code below to work with \
fermions",
 FontWeight->"Bold"]], "Text",
 CellChangeTimes->{{3.702212812114403*^9, 3.702212822008893*^9}}],

Cell["For normal ordered operators we will use:", "Text",
 CellChangeTimes->{{3.702201339600608*^9, 3.702201345616795*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\[LeftAngleBracket]", 
  RowBox[{
   RowBox[{"b", "[", "z", "]"}], ",", 
   RowBox[{"D", "[", 
    RowBox[{
     RowBox[{"c", "[", "z", "]"}], ",", "z"}], "]"}], ",", 
   RowBox[{"c", "[", "z", "]"}]}], "\[RightAngleBracket]"}]], "Input",
 CellChangeTimes->{{3.70220129753749*^9, 3.702201322757698*^9}}],

Cell[BoxData[
 RowBox[{"\[LeftAngleBracket]", 
  RowBox[{
   RowBox[{"b", "[", "z", "]"}], ",", 
   RowBox[{
    SuperscriptBox["c", "\[Prime]",
     MultilineFunction->None], "[", "z", "]"}], ",", 
   RowBox[{"c", "[", "z", "]"}]}], "\[RightAngleBracket]"}]], "Output",
 CellChangeTimes->{{3.702201310223752*^9, 3.7022013233747*^9}}]
}, Open  ]],

Cell["\<\
Esc < Esc .... Esc > Esc is the same as AngleBracket[...]

Esc [[ Esc = [[ , iota = Esc i Esc\
\>", "Text",
 CellChangeTimes->{{3.702201357488493*^9, 3.702201380111978*^9}, {
  3.7022015538700933`*^9, 3.702201554320533*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"Wick", "[", 
    RowBox[{
     RowBox[{"\[LeftAngleBracket]", "a__", "\[RightAngleBracket]"}], ",", 
     RowBox[{"\[LeftAngleBracket]", "b__", "\[RightAngleBracket]"}]}], "]"}], 
   ":=", 
   RowBox[{
    RowBox[{"\[LeftAngleBracket]", 
     RowBox[{"a", ",", "b"}], "\[RightAngleBracket]"}], "+", 
    RowBox[{"\[Epsilon]", " ", 
     RowBox[{"(", 
      RowBox[{
       UnderoverscriptBox["\[Sum]", "\[Iota]1", 
        RowBox[{"Length", "[", 
         RowBox[{"\[LeftAngleBracket]", "a", "\[RightAngleBracket]"}], "]"}]], 
       RowBox[{
        UnderoverscriptBox["\[Sum]", "\[Iota]2", 
         RowBox[{"Length", "[", 
          RowBox[{"\[LeftAngleBracket]", "b", "\[RightAngleBracket]"}], 
          "]"}]], 
        RowBox[{
         RowBox[{"propagator", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"\[LeftAngleBracket]", "a", "\[RightAngleBracket]"}], 
            "\[LeftDoubleBracket]", "\[Iota]1", "\[RightDoubleBracket]"}], 
           ",", 
           RowBox[{
            RowBox[{"\[LeftAngleBracket]", "b", "\[RightAngleBracket]"}], 
            "\[LeftDoubleBracket]", "\[Iota]2", "\[RightDoubleBracket]"}]}], 
          "]"}], " ", 
         RowBox[{"Wick", "[", 
          RowBox[{
           RowBox[{"Drop", "[", 
            RowBox[{
             RowBox[{"\[LeftAngleBracket]", "a", "\[RightAngleBracket]"}], 
             ",", 
             RowBox[{"{", "\[Iota]1", "}"}]}], "]"}], ",", 
           RowBox[{"Drop", "[", 
            RowBox[{
             RowBox[{"\[LeftAngleBracket]", "b", "\[RightAngleBracket]"}], 
             ",", 
             RowBox[{"{", "\[Iota]2", "}"}]}], "]"}]}], "]"}]}]}]}], 
      ")"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Wick", "[", 
   RowBox[{
    RowBox[{"\[LeftAngleBracket]", "a__", "\[RightAngleBracket]"}], ",", 
    RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}], "]"}], ":=", 
  RowBox[{
  "\[LeftAngleBracket]", "a", 
   "\[RightAngleBracket]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Wick", "[", 
   RowBox[{
    RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}], ",", 
    RowBox[{"\[LeftAngleBracket]", "a__", "\[RightAngleBracket]"}]}], "]"}], ":=", 
  RowBox[{
  "\[LeftAngleBracket]", "a", 
   "\[RightAngleBracket]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Wick", "[", 
    RowBox[{
     RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}], ",", 
     RowBox[{"\[LeftAngleBracket]", "\[RightAngleBracket]"}]}], "]"}], ":=", 
   "1"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Contraction", "[", "something__", "]"}], ":=", 
   RowBox[{
    RowBox[{"Expand", "@", 
     RowBox[{"Wick", "@", "something"}]}], "/.", 
    RowBox[{
     SuperscriptBox["\[Epsilon]", "n_."], "\[Rule]", 
     FractionBox["1", 
      RowBox[{"n", "!"}]]}]}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.7022013969554367`*^9, 3.702201529312105*^9}, {
   3.702201570402172*^9, 3.702201612504332*^9}, {3.702201648349071*^9, 
   3.702201678254113*^9}, {3.702201729612853*^9, 3.702201874249733*^9}, {
   3.7022019569245577`*^9, 3.702201990975585*^9}, {3.702202038623426*^9, 
   3.7022020539206047`*^9}, 3.702202306448893*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Contraction", "[", 
  RowBox[{
   RowBox[{"\[LeftAngleBracket]", 
    RowBox[{
     RowBox[{
      SubscriptBox["\[PartialD]", "z"], 
      RowBox[{"b", "[", "z", "]"}]}], ",", 
     RowBox[{"c", "[", "z", "]"}]}], "\[RightAngleBracket]"}], ",", 
   RowBox[{"\[LeftAngleBracket]", 
    RowBox[{
     RowBox[{
      SubscriptBox["\[PartialD]", "w"], 
      RowBox[{"b", "[", "w", "]"}]}], ",", 
     RowBox[{"c", "[", "w", "]"}]}], "\[RightAngleBracket]"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.702201998362638*^9, 3.702202030985367*^9}, {
  3.702202106007328*^9, 3.702202108282514*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"\[LeftAngleBracket]", 
   RowBox[{
    RowBox[{
     SuperscriptBox["b", "\[Prime]",
      MultilineFunction->None], "[", "z", "]"}], ",", 
    RowBox[{"c", "[", "z", "]"}], ",", 
    RowBox[{
     SuperscriptBox["b", "\[Prime]",
      MultilineFunction->None], "[", "w", "]"}], ",", 
    RowBox[{"c", "[", "w", "]"}]}], "\[RightAngleBracket]"}], "+", 
  RowBox[{
   RowBox[{"\[LeftAngleBracket]", 
    RowBox[{
     RowBox[{
      SuperscriptBox["b", "\[Prime]",
       MultilineFunction->None], "[", "z", "]"}], ",", 
     RowBox[{
      SuperscriptBox["b", "\[Prime]",
       MultilineFunction->None], "[", "w", "]"}]}], "\[RightAngleBracket]"}], 
   " ", 
   RowBox[{"propagator", "[", 
    RowBox[{
     RowBox[{"c", "[", "z", "]"}], ",", 
     RowBox[{"c", "[", "w", "]"}]}], "]"}]}], "+", 
  RowBox[{
   RowBox[{"\[LeftAngleBracket]", 
    RowBox[{
     RowBox[{
      SuperscriptBox["b", "\[Prime]",
       MultilineFunction->None], "[", "z", "]"}], ",", 
     RowBox[{"c", "[", "w", "]"}]}], "\[RightAngleBracket]"}], " ", 
   RowBox[{"propagator", "[", 
    RowBox[{
     RowBox[{"c", "[", "z", "]"}], ",", 
     RowBox[{
      SuperscriptBox["b", "\[Prime]",
       MultilineFunction->None], "[", "w", "]"}]}], "]"}]}], "+", 
  RowBox[{
   RowBox[{"\[LeftAngleBracket]", 
    RowBox[{
     RowBox[{"c", "[", "z", "]"}], ",", 
     RowBox[{
      SuperscriptBox["b", "\[Prime]",
       MultilineFunction->None], "[", "w", "]"}]}], "\[RightAngleBracket]"}], 
   " ", 
   RowBox[{"propagator", "[", 
    RowBox[{
     RowBox[{
      SuperscriptBox["b", "\[Prime]",
       MultilineFunction->None], "[", "z", "]"}], ",", 
     RowBox[{"c", "[", "w", "]"}]}], "]"}]}], "+", 
  RowBox[{
   RowBox[{"propagator", "[", 
    RowBox[{
     RowBox[{"c", "[", "z", "]"}], ",", 
     RowBox[{
      SuperscriptBox["b", "\[Prime]",
       MultilineFunction->None], "[", "w", "]"}]}], "]"}], " ", 
   RowBox[{"propagator", "[", 
    RowBox[{
     RowBox[{
      SuperscriptBox["b", "\[Prime]",
       MultilineFunction->None], "[", "z", "]"}], ",", 
     RowBox[{"c", "[", "w", "]"}]}], "]"}]}], "+", 
  RowBox[{
   RowBox[{"\[LeftAngleBracket]", 
    RowBox[{
     RowBox[{"c", "[", "z", "]"}], ",", 
     RowBox[{"c", "[", "w", "]"}]}], "\[RightAngleBracket]"}], " ", 
   RowBox[{"propagator", "[", 
    RowBox[{
     RowBox[{
      SuperscriptBox["b", "\[Prime]",
       MultilineFunction->None], "[", "z", "]"}], ",", 
     RowBox[{
      SuperscriptBox["b", "\[Prime]",
       MultilineFunction->None], "[", "w", "]"}]}], "]"}]}], "+", 
  RowBox[{
   RowBox[{"propagator", "[", 
    RowBox[{
     RowBox[{"c", "[", "z", "]"}], ",", 
     RowBox[{"c", "[", "w", "]"}]}], "]"}], " ", 
   RowBox[{"propagator", "[", 
    RowBox[{
     RowBox[{
      SuperscriptBox["b", "\[Prime]",
       MultilineFunction->None], "[", "z", "]"}], ",", 
     RowBox[{
      SuperscriptBox["b", "\[Prime]",
       MultilineFunction->None], "[", "w", "]"}]}], "]"}]}]}]], "Output",
 CellChangeTimes->{{3.7022020254597*^9, 3.702202031287819*^9}, 
   3.702202067054152*^9, 3.7022021114260073`*^9}]
}, Open  ]],

Cell["Insert this into the sum and define \[DoubleStruckCapitalF] (Esc dsF \
Esc) ", "Text",
 CellChangeTimes->{{3.702202322986938*^9, 3.702202328819031*^9}, {
  3.702202701141691*^9, 3.702202711508978*^9}}],

Cell[BoxData[{
 SuperscriptBox[
  RowBox[{"(", 
   RowBox[{"-", "1"}], ")"}], 
  RowBox[{
   RowBox[{"\[DoubleStruckCapitalF]", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"\[LeftAngleBracket]", "a", "\[RightAngleBracket]"}], 
      "\[LeftDoubleBracket]", "\[Iota]1", "\[RightDoubleBracket]"}], ",", 
     RowBox[{"Drop", "[", 
      RowBox[{
       RowBox[{"\[LeftAngleBracket]", "a", "\[RightAngleBracket]"}], ",", 
       "\[Iota]1"}], "]"}]}], "]"}], "+", 
   RowBox[{"\[DoubleStruckCapitalF]", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"\[LeftAngleBracket]", "b", "\[RightAngleBracket]"}], 
      "\[LeftDoubleBracket]", "\[Iota]2", "\[RightDoubleBracket]"}], ",", 
     RowBox[{"Take", "[", 
      RowBox[{
       RowBox[{"\[LeftAngleBracket]", "b", "\[RightAngleBracket]"}], ",", 
       RowBox[{"\[Iota]2", "-", "1"}]}], "]"}]}], 
    "]"}]}]], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[DoubleStruckCapitalF]", "[", "__", "]"}], "=", "0"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"for", " ", "bosons"}], " ", "*)"}]}], "\[LineSeparator]", 
 RowBox[{" ", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"FermionQ", "[", "X_", "]"}], " ", ",", " ", 
    RowBox[{"CountHowManyFermions", "[", "X_", "]"}], ",", " ", 
    RowBox[{
     RowBox[{
     "\[DoubleStruckCapitalF]", " ", "is", " ", "product", " ", "of", " ", 
      "the", " ", "two"}], "..."}]}], " ", "*)"}]}]}], "Input",
 Evaluatable->False,
 CellChangeTimes->{{3.7022022279284563`*^9, 3.702202319579365*^9}, {
  3.702202363398046*^9, 3.702202384031494*^9}, {3.7022024386403008`*^9, 
  3.702202484494792*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"propagator", "[", 
    RowBox[{
     RowBox[{"c", "[", "z_", "]"}], ",", 
     RowBox[{"b", "[", "w_", "]"}]}], "]"}], "=", 
   FractionBox["1", 
    RowBox[{"z", "-", "w"}]]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"propagator", "[", 
     RowBox[{
      RowBox[{"b", "[", "z_", "]"}], ",", 
      RowBox[{"c", "[", "w_", "]"}]}], "]"}], "=", 
    FractionBox[
     RowBox[{"-", "1"}], 
     RowBox[{"z", "-", "w"}]]}], " ", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"+", "1"}], " ", "for", " ", "fermions"}], " ", "*)"}], ";"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"propagator", "[", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"Derivative", "[", "n_", "]"}], "[", "f_", "]"}], "[", "z_", 
       "]"}], ",", "X_"}], "]"}], "=", 
    RowBox[{"D", "[", 
     RowBox[{
      RowBox[{"propagator", "[", 
       RowBox[{
        RowBox[{"f", "[", "z", "]"}], ",", "X"}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"z", ",", "n"}], "}"}]}], "]"}]}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"propagator", "[", 
    RowBox[{
     RowBox[{
      SuperscriptBox["f_", 
       TagBox[
        RowBox[{"(", "n_", ")"}],
        Derivative],
       MultilineFunction->None], "[", "z_", "]"}], ",", "X_"}], "]"}], ":=", 
   RowBox[{
    SubscriptBox["\[PartialD]", 
     RowBox[{"{", 
      RowBox[{"z", ",", "n"}], "}"}]], 
    RowBox[{"propagator", "[", 
     RowBox[{
      RowBox[{"f", "[", "z", "]"}], ",", "X"}], "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"propagator", "[", 
    RowBox[{"X_", ",", 
     RowBox[{
      SuperscriptBox["f_", 
       TagBox[
        RowBox[{"(", "n_", ")"}],
        Derivative],
       MultilineFunction->None], "[", "w_", "]"}]}], "]"}], ":=", 
   RowBox[{
    SubscriptBox["\[PartialD]", 
     RowBox[{"{", 
      RowBox[{"w", ",", "n"}], "}"}]], 
    RowBox[{"propagator", "[", 
     RowBox[{"X", ",", 
      RowBox[{"f", "[", "w", "]"}]}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"propagator", "[", "__", "]"}], "=", "0"}], ";"}]}], "Input",
 CellChangeTimes->{{3.702202390599386*^9, 3.702202393261599*^9}, {
  3.702202492215761*^9, 3.702202559018444*^9}, {3.702202597764765*^9, 
  3.702202650601493*^9}, {3.702202699626184*^9, 3.702202812337479*^9}, {
  3.7022033055678587`*^9, 3.7022033101426153`*^9}, {3.702203420346159*^9, 
  3.7022034286967297`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"propagator", "[", 
  RowBox[{
   RowBox[{"D", "[", 
    RowBox[{
     RowBox[{"b", "[", "z", "]"}], ",", "z"}], "]"}], ",", 
   RowBox[{"D", "[", 
    RowBox[{
     RowBox[{"c", "[", "w", "]"}], ",", "w"}], "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.7022028309154053`*^9, 3.702202855863011*^9}}],

Cell[BoxData[
 FractionBox["2", 
  SuperscriptBox[
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "w"}], "+", "z"}], ")"}], "3"]]], "Output",
 CellChangeTimes->{{3.7022028359539337`*^9, 3.702202856317905*^9}, {
   3.7022032543833313`*^9, 3.70220337873989*^9}, 3.702203426052236*^9, 
   3.7022034788182573`*^9, 3.702203740995513*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"expansion", "[", "something_", "]"}], ":=", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"something", "/.", 
      RowBox[{"X_AngleBracket", "\[RuleDelayed]", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"Normal", "@", 
           RowBox[{"Series", "[", 
            RowBox[{"#", ",", 
             RowBox[{"{", 
              RowBox[{"w", ",", "z", ",", "6"}], "}"}]}], "]"}]}], "&"}], "/@",
          "X"}], ")"}]}]}], "//.", 
     RowBox[{
      RowBox[{"\[LeftAngleBracket]", 
       RowBox[{"before___", ",", 
        RowBox[{"x_", "+", 
         RowBox[{"number_.", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"w", "-", "z"}], ")"}], "n_."], "y_"}]}], ",", 
        "after___"}], "\[RightAngleBracket]"}], "\[RuleDelayed]", 
      RowBox[{
       RowBox[{
        RowBox[{"\[LeftAngleBracket]", 
         RowBox[{"before", ",", "x", ",", "after"}], "\[RightAngleBracket]"}],
         "+", 
        RowBox[{"number", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"w", "-", "z"}], ")"}], "n"], 
         RowBox[{"\[LeftAngleBracket]", 
          RowBox[{"before", ",", "y", ",", "after"}], 
          "\[RightAngleBracket]"}]}]}], "/;", 
       RowBox[{"NumericQ", "[", "number", "]"}]}]}]}], "//", 
    RowBox[{
     RowBox[{"Series", "[", 
      RowBox[{"#", ",", 
       RowBox[{"{", 
        RowBox[{"w", ",", "z", ",", 
         RowBox[{"-", "1"}]}], "}"}]}], "]"}], "&"}]}], "//", 
   "Simplify"}]}]], "Input",
 CellChangeTimes->{{3.702203011150241*^9, 3.702203031948395*^9}, {
   3.702203078226894*^9, 3.702203163282042*^9}, {3.702203759960256*^9, 
   3.702203830255286*^9}, {3.702203866650083*^9, 3.702203923331893*^9}, {
   3.7022039928300037`*^9, 3.7022040086164494`*^9}, {3.7022041812329597`*^9, 
   3.7022041936605463`*^9}, 3.7022042367251472`*^9, {3.7022043138870707`*^9, 
   3.702204316645383*^9}, {3.702204367149325*^9, 3.7022044324801617`*^9}, {
   3.7022044712176723`*^9, 3.702204487983693*^9}, {3.70220452598335*^9, 
   3.7022045375940533`*^9}, {3.702204617575244*^9, 3.7022046449461927`*^9}, {
   3.702204681626642*^9, 3.7022046863128967`*^9}, {3.7022047540541563`*^9, 
   3.7022047682365723`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Contraction", "[", 
   RowBox[{
    RowBox[{"\[LeftAngleBracket]", 
     RowBox[{
      RowBox[{
       SubscriptBox["\[PartialD]", "z"], 
       RowBox[{"b", "[", "z", "]"}]}], ",", 
      RowBox[{"c", "[", "z", "]"}]}], "\[RightAngleBracket]"}], ",", 
    RowBox[{"\[LeftAngleBracket]", 
     RowBox[{
      RowBox[{
       SubscriptBox["\[PartialD]", "w"], 
       RowBox[{"b", "[", "w", "]"}]}], ",", 
      RowBox[{"c", "[", "w", "]"}]}], "\[RightAngleBracket]"}]}], "]"}], "//",
   "expansion"}]], "Input",
 CellChangeTimes->{{3.702204202745762*^9, 3.702204204543736*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   FractionBox["1", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"w", "-", "z"}], ")"}], "4"]], "+", 
   FractionBox[
    RowBox[{
     RowBox[{"\[LeftAngleBracket]", 
      RowBox[{
       RowBox[{"c", "[", "z", "]"}], ",", 
       RowBox[{
        SuperscriptBox["b", "\[Prime]",
         MultilineFunction->None], "[", "z", "]"}]}], 
      "\[RightAngleBracket]"}], "+", 
     RowBox[{"\[LeftAngleBracket]", 
      RowBox[{
       RowBox[{
        SuperscriptBox["b", "\[Prime]",
         MultilineFunction->None], "[", "z", "]"}], ",", 
       RowBox[{"c", "[", "z", "]"}]}], "\[RightAngleBracket]"}]}], 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"w", "-", "z"}], ")"}], "2"]], "+", 
   FractionBox[
    RowBox[{
     RowBox[{"\[LeftAngleBracket]", 
      RowBox[{
       RowBox[{"c", "[", "z", "]"}], ",", 
       RowBox[{
        SuperscriptBox["b", "\[Prime]\[Prime]",
         MultilineFunction->None], "[", "z", "]"}]}], 
      "\[RightAngleBracket]"}], "+", 
     RowBox[{"\[LeftAngleBracket]", 
      RowBox[{
       RowBox[{
        SuperscriptBox["b", "\[Prime]",
         MultilineFunction->None], "[", "z", "]"}], ",", 
       RowBox[{
        SuperscriptBox["c", "\[Prime]",
         MultilineFunction->None], "[", "z", "]"}]}], 
      "\[RightAngleBracket]"}]}], 
    RowBox[{"w", "-", "z"}]], "+", 
   InterpretationBox[
    SuperscriptBox[
     RowBox[{"O", "[", 
      RowBox[{"w", "-", "z"}], "]"}], "0"],
    SeriesData[$CellContext`w, $CellContext`z, {}, -4, 0, 1],
    Editable->False]}],
  SeriesData[$CellContext`w, $CellContext`z, {1, 0, AngleBracket[
      $CellContext`c[$CellContext`z], 
      Derivative[1][$CellContext`b][$CellContext`z]] + AngleBracket[
      Derivative[1][$CellContext`b][$CellContext`z], 
      $CellContext`c[$CellContext`z]], AngleBracket[
      $CellContext`c[$CellContext`z], 
      Derivative[2][$CellContext`b][$CellContext`z]] + AngleBracket[
      Derivative[1][$CellContext`b][$CellContext`z], 
      Derivative[1][$CellContext`c][$CellContext`z]]}, -4, 0, 1],
  Editable->False]], "Output",
 CellChangeTimes->{
  3.702204085838777*^9, {3.702204201934176*^9, 3.702204204940997*^9}, 
   3.702204326924492*^9, {3.702204454541072*^9, 3.7022044928889313`*^9}, 
   3.7022045405333633`*^9, 3.702204653737061*^9, {3.702204778584537*^9, 
   3.7022047877176456`*^9}}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"statistics", "[", "something_", "]"}], ":=", 
   RowBox[{"something", "/.", 
    RowBox[{"X_AngleBracket", "\[RuleDelayed]", 
     RowBox[{"Sort", "@", "X"}]}]}]}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"Signature", "[", "X", "]"}], " ", "stuff", " ", "for", " ", 
    "fermions", " ", "and", " ", "perhaps", " ", "\[DoubleStruckCapitalF]"}], 
   " ", "*)"}], ";"}]], "Input",
 CellChangeTimes->{{3.702204837054467*^9, 3.702204898726837*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"Contraction", "[", 
    RowBox[{
     RowBox[{"\[LeftAngleBracket]", 
      RowBox[{
       RowBox[{
        SubscriptBox["\[PartialD]", "z"], 
        RowBox[{"b", "[", "z", "]"}]}], ",", 
       RowBox[{"c", "[", "z", "]"}]}], "\[RightAngleBracket]"}], ",", 
     RowBox[{"\[LeftAngleBracket]", 
      RowBox[{
       RowBox[{
        SubscriptBox["\[PartialD]", "w"], 
        RowBox[{"b", "[", "w", "]"}]}], ",", 
       RowBox[{"c", "[", "w", "]"}]}], "\[RightAngleBracket]"}]}], "]"}], "//",
    "expansion"}], "//", "statistics"}]], "Input",
 CellChangeTimes->{{3.7022048926400547`*^9, 3.702204893894751*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   FractionBox["1", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"w", "-", "z"}], ")"}], "4"]], "+", 
   FractionBox[
    RowBox[{"2", " ", 
     RowBox[{"\[LeftAngleBracket]", 
      RowBox[{
       RowBox[{"c", "[", "z", "]"}], ",", 
       RowBox[{
        SuperscriptBox["b", "\[Prime]",
         MultilineFunction->None], "[", "z", "]"}]}], 
      "\[RightAngleBracket]"}]}], 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"w", "-", "z"}], ")"}], "2"]], "+", 
   FractionBox[
    RowBox[{
     RowBox[{"\[LeftAngleBracket]", 
      RowBox[{
       RowBox[{"c", "[", "z", "]"}], ",", 
       RowBox[{
        SuperscriptBox["b", "\[Prime]\[Prime]",
         MultilineFunction->None], "[", "z", "]"}]}], 
      "\[RightAngleBracket]"}], "+", 
     RowBox[{"\[LeftAngleBracket]", 
      RowBox[{
       RowBox[{
        SuperscriptBox["b", "\[Prime]",
         MultilineFunction->None], "[", "z", "]"}], ",", 
       RowBox[{
        SuperscriptBox["c", "\[Prime]",
         MultilineFunction->None], "[", "z", "]"}]}], 
      "\[RightAngleBracket]"}]}], 
    RowBox[{"w", "-", "z"}]], "+", 
   InterpretationBox[
    SuperscriptBox[
     RowBox[{"O", "[", 
      RowBox[{"w", "-", "z"}], "]"}], "0"],
    SeriesData[$CellContext`w, $CellContext`z, {}, -4, 0, 1],
    Editable->False]}],
  SeriesData[$CellContext`w, $CellContext`z, {1, 0, 2 AngleBracket[
      $CellContext`c[$CellContext`z], 
      Derivative[1][$CellContext`b][$CellContext`z]], AngleBracket[
      $CellContext`c[$CellContext`z], 
      Derivative[2][$CellContext`b][$CellContext`z]] + AngleBracket[
      Derivative[1][$CellContext`b][$CellContext`z], 
      Derivative[1][$CellContext`c][$CellContext`z]]}, -4, 0, 1],
  Editable->False]], "Output",
 CellChangeTimes->{{3.702204894321395*^9, 3.702204900471471*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"example", "=", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Lambda]"}], ")"}], "2"], 
       RowBox[{"Contraction", "[", 
        RowBox[{
         RowBox[{"\[LeftAngleBracket]", 
          RowBox[{
           RowBox[{
            SubscriptBox["\[PartialD]", "z"], 
            RowBox[{"b", "[", "z", "]"}]}], ",", 
           RowBox[{"c", "[", "z", "]"}]}], "\[RightAngleBracket]"}], ",", 
         RowBox[{"\[LeftAngleBracket]", 
          RowBox[{
           RowBox[{
            SubscriptBox["\[PartialD]", "w"], 
            RowBox[{"b", "[", "w", "]"}]}], ",", 
           RowBox[{"c", "[", "w", "]"}]}], "\[RightAngleBracket]"}]}], 
        "]"}]}], "+", 
      RowBox[{
       SuperscriptBox["\[Lambda]", "2"], " ", 
       RowBox[{"Contraction", "[", 
        RowBox[{
         RowBox[{"\[LeftAngleBracket]", 
          RowBox[{
           RowBox[{"b", "[", "z", "]"}], ",", 
           RowBox[{
            SubscriptBox["\[PartialD]", "z"], 
            RowBox[{"c", "[", "z", "]"}]}]}], "\[RightAngleBracket]"}], ",", 
         RowBox[{"\[LeftAngleBracket]", 
          RowBox[{
           RowBox[{"b", "[", "w", "]"}], ",", 
           RowBox[{
            SubscriptBox["\[PartialD]", "w"], 
            RowBox[{"c", "[", "w", "]"}]}]}], "\[RightAngleBracket]"}]}], 
        "]"}]}], "-", 
      RowBox[{"\[Lambda]", " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", "\[Lambda]"}], ")"}], 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"Contraction", "[", 
          RowBox[{
           RowBox[{"\[LeftAngleBracket]", 
            RowBox[{
             RowBox[{
              SubscriptBox["\[PartialD]", "z"], 
              RowBox[{"b", "[", "z", "]"}]}], ",", 
             RowBox[{"c", "[", "z", "]"}]}], "\[RightAngleBracket]"}], ",", 
           RowBox[{"\[LeftAngleBracket]", 
            RowBox[{
             RowBox[{"b", "[", "w", "]"}], ",", 
             RowBox[{
              SubscriptBox["\[PartialD]", "w"], 
              RowBox[{"c", "[", "w", "]"}]}]}], "\[RightAngleBracket]"}]}], 
          "]"}], "+", 
         RowBox[{"Contraction", "[", 
          RowBox[{
           RowBox[{"\[LeftAngleBracket]", 
            RowBox[{
             RowBox[{"b", "[", "z", "]"}], ",", 
             RowBox[{
              SubscriptBox["\[PartialD]", "z"], 
              RowBox[{"c", "[", "z", "]"}]}]}], "\[RightAngleBracket]"}], ",", 
           RowBox[{"\[LeftAngleBracket]", 
            RowBox[{
             RowBox[{
              SubscriptBox["\[PartialD]", "w"], 
              RowBox[{"b", "[", "w", "]"}]}], ",", 
             RowBox[{"c", "[", "w", "]"}]}], "\[RightAngleBracket]"}]}], 
          "]"}]}], ")"}]}]}], "//", "expansion"}], "//", "statistics"}], "//",
    "FullSimplify"}]}]], "Input",
 CellChangeTimes->{{3.702204919094342*^9, 3.702204930915175*^9}, {
  3.702204995568314*^9, 3.702205084776574*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   FractionBox[
    RowBox[{"1", "+", 
     RowBox[{"6", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Lambda]"}], ")"}], " ", "\[Lambda]"}]}], 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"w", "-", "z"}], ")"}], "4"]], "-", 
   FractionBox[
    RowBox[{"2", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"\[Lambda]", " ", 
        RowBox[{"\[LeftAngleBracket]", 
         RowBox[{
          RowBox[{"b", "[", "z", "]"}], ",", 
          RowBox[{
           SuperscriptBox["c", "\[Prime]",
            MultilineFunction->None], "[", "z", "]"}]}], 
         "\[RightAngleBracket]"}]}], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Lambda]"}], ")"}], " ", 
        RowBox[{"\[LeftAngleBracket]", 
         RowBox[{
          RowBox[{"c", "[", "z", "]"}], ",", 
          RowBox[{
           SuperscriptBox["b", "\[Prime]",
            MultilineFunction->None], "[", "z", "]"}]}], 
         "\[RightAngleBracket]"}]}]}], ")"}]}], 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"w", "-", "z"}], ")"}], "2"]], "+", 
   FractionBox[
    RowBox[{
     RowBox[{
      RowBox[{"-", "\[Lambda]"}], " ", 
      RowBox[{"\[LeftAngleBracket]", 
       RowBox[{
        RowBox[{"b", "[", "z", "]"}], ",", 
        RowBox[{
         SuperscriptBox["c", "\[Prime]\[Prime]",
          MultilineFunction->None], "[", "z", "]"}]}], 
       "\[RightAngleBracket]"}]}], "-", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Lambda]"}], ")"}], " ", 
      RowBox[{"\[LeftAngleBracket]", 
       RowBox[{
        RowBox[{"c", "[", "z", "]"}], ",", 
        RowBox[{
         SuperscriptBox["b", "\[Prime]\[Prime]",
          MultilineFunction->None], "[", "z", "]"}]}], 
       "\[RightAngleBracket]"}]}], "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "-", 
        RowBox[{"2", " ", "\[Lambda]"}]}], ")"}], " ", 
      RowBox[{"\[LeftAngleBracket]", 
       RowBox[{
        RowBox[{
         SuperscriptBox["b", "\[Prime]",
          MultilineFunction->None], "[", "z", "]"}], ",", 
        RowBox[{
         SuperscriptBox["c", "\[Prime]",
          MultilineFunction->None], "[", "z", "]"}]}], 
       "\[RightAngleBracket]"}]}]}], 
    RowBox[{"w", "-", "z"}]], "+", 
   InterpretationBox[
    SuperscriptBox[
     RowBox[{"O", "[", 
      RowBox[{"w", "-", "z"}], "]"}], "0"],
    SeriesData[$CellContext`w, $CellContext`z, {}, -4, 0, 1],
    Editable->False]}],
  SeriesData[$CellContext`w, $CellContext`z, {
   1 + 6 (-1 + $CellContext`\[Lambda]) $CellContext`\[Lambda], 
    0, (-2) ($CellContext`\[Lambda] AngleBracket[
        $CellContext`b[$CellContext`z], 
        Derivative[
        1][$CellContext`c][$CellContext`z]] + (-1 + $CellContext`\[Lambda]) 
      AngleBracket[
        $CellContext`c[$CellContext`z], 
        Derivative[
        1][$CellContext`b][$CellContext`z]]), -$CellContext`\[Lambda] 
     AngleBracket[
       $CellContext`b[$CellContext`z], 
       Derivative[
       2][$CellContext`c][$CellContext`z]] - (-1 + $CellContext`\[Lambda]) 
    AngleBracket[
      $CellContext`c[$CellContext`z], 
      Derivative[2][$CellContext`b][$CellContext`z]] + (1 - 
      2 $CellContext`\[Lambda]) AngleBracket[
       Derivative[1][$CellContext`b][$CellContext`z], 
       Derivative[1][$CellContext`c][$CellContext`z]]}, -4, 0, 1],
  Editable->False]], "Output",
 CellChangeTimes->{{3.702205055558737*^9, 3.702205085348394*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"Coefficient", "[", 
     RowBox[{"example", ",", 
      RowBox[{"w", "-", "z"}], ",", 
      RowBox[{"-", "2"}]}], "]"}], "/", "2"}], "/.", 
   RowBox[{"AngleBracket", "\[Rule]", "Dot"}]}], "//", 
  RowBox[{
   RowBox[{
    RowBox[{"D", "[", 
     RowBox[{"#", ",", "z"}], "]"}], "/.", 
    RowBox[{"c_Dot", "\[RuleDelayed]", 
     RowBox[{"Sort", "[", "c", "]"}]}]}], "&"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Coefficient", "[", 
   RowBox[{"example", ",", 
    RowBox[{"w", "-", "z"}], ",", 
    RowBox[{"-", "1"}]}], "]"}], "/.", 
  RowBox[{"AngleBracket", "\[Rule]", "Dot"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"%", "-", "%%"}], "//", "Simplify"}]}], "Input",
 CellChangeTimes->{{3.702205121503721*^9, 3.702205172627479*^9}, {
  3.702205226452351*^9, 3.7022052331554813`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"-", "\[Lambda]"}], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"b", "[", "z", "]"}], ".", 
      RowBox[{
       SuperscriptBox["c", "\[Prime]\[Prime]",
        MultilineFunction->None], "[", "z", "]"}]}], "+", 
     RowBox[{
      RowBox[{
       SuperscriptBox["b", "\[Prime]",
        MultilineFunction->None], "[", "z", "]"}], ".", 
      RowBox[{
       SuperscriptBox["c", "\[Prime]",
        MultilineFunction->None], "[", "z", "]"}]}]}], ")"}]}], "-", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", "\[Lambda]"}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"c", "[", "z", "]"}], ".", 
      RowBox[{
       SuperscriptBox["b", "\[Prime]\[Prime]",
        MultilineFunction->None], "[", "z", "]"}]}], "+", 
     RowBox[{
      RowBox[{
       SuperscriptBox["b", "\[Prime]",
        MultilineFunction->None], "[", "z", "]"}], ".", 
      RowBox[{
       SuperscriptBox["c", "\[Prime]",
        MultilineFunction->None], "[", "z", "]"}]}]}], ")"}]}]}]], "Output",
 CellChangeTimes->{{3.702205129239497*^9, 3.702205173074562*^9}, 
   3.7022052338532553`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"-", "\[Lambda]"}], " ", 
   RowBox[{
    RowBox[{"b", "[", "z", "]"}], ".", 
    RowBox[{
     SuperscriptBox["c", "\[Prime]\[Prime]",
      MultilineFunction->None], "[", "z", "]"}]}]}], "-", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", "\[Lambda]"}], ")"}], " ", 
   RowBox[{
    RowBox[{"c", "[", "z", "]"}], ".", 
    RowBox[{
     SuperscriptBox["b", "\[Prime]\[Prime]",
      MultilineFunction->None], "[", "z", "]"}]}]}], "+", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"1", "-", 
     RowBox[{"2", " ", "\[Lambda]"}]}], ")"}], " ", 
   RowBox[{
    RowBox[{
     SuperscriptBox["b", "\[Prime]",
      MultilineFunction->None], "[", "z", "]"}], ".", 
    RowBox[{
     SuperscriptBox["c", "\[Prime]",
      MultilineFunction->None], "[", "z", "]"}]}]}]}]], "Output",
 CellChangeTimes->{{3.702205129239497*^9, 3.702205173074562*^9}, 
   3.702205233859374*^9}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{{3.702205129239497*^9, 3.702205173074562*^9}, 
   3.702205233863243*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"ruleT", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"\[LeftAngleBracket]", 
       RowBox[{
        RowBox[{"b", "[", "z_", "]"}], ",", 
        RowBox[{
         SuperscriptBox["c", "\[Prime]",
          MultilineFunction->None], "[", "z_", "]"}]}], 
       "\[RightAngleBracket]"}], "\[RuleDelayed]", 
      RowBox[{
       FractionBox["1", "\[Lambda]"], 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"\[DoubleStruckCapitalT]", "[", "z", "]"}], "-", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Lambda]"}], ")"}], " ", 
          RowBox[{"\[LeftAngleBracket]", 
           RowBox[{
            RowBox[{"c", "[", "z", "]"}], ",", 
            RowBox[{
             SuperscriptBox["b", "\[Prime]",
              MultilineFunction->None], "[", "z", "]"}]}], 
           "\[RightAngleBracket]"}]}]}], ")"}]}]}], ",", 
     RowBox[{
      RowBox[{"\[LeftAngleBracket]", 
       RowBox[{
        RowBox[{"b", "[", "z_", "]"}], ",", 
        RowBox[{
         RowBox[{"c", "''"}], "[", "z_", "]"}]}], "\[RightAngleBracket]"}], 
      "\[RuleDelayed]", 
      RowBox[{
       RowBox[{
        FractionBox["1", "\[Lambda]"], 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"\[DoubleStruckCapitalT]", "'"}], "[", "z", "]"}], "-", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Lambda]"}], ")"}], " ", 
           RowBox[{"\[LeftAngleBracket]", 
            RowBox[{
             RowBox[{"c", "[", "z", "]"}], ",", 
             RowBox[{
              RowBox[{"b", "''"}], "[", "z", "]"}]}], 
            "\[RightAngleBracket]"}]}], "-", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Lambda]"}], ")"}], " ", 
           RowBox[{"\[LeftAngleBracket]", 
            RowBox[{
             RowBox[{
              RowBox[{"b", "'"}], "[", "z", "]"}], ",", 
             RowBox[{
              RowBox[{"c", "'"}], "[", "z", "]"}]}], 
            "\[RightAngleBracket]"}]}]}], ")"}]}], "-", 
       RowBox[{"\[LeftAngleBracket]", 
        RowBox[{
         RowBox[{
          RowBox[{"b", "'"}], "[", "z", "]"}], ",", 
         RowBox[{
          RowBox[{"c", "'"}], "[", "z", "]"}]}], 
        "\[RightAngleBracket]"}]}]}]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.702205273552826*^9, 3.7022053733864403`*^9}, {
  3.7022054175639153`*^9, 3.7022054252191267`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"example", "/.", "ruleT"}], "//", "Simplify"}]], "Input",
 CellChangeTimes->{{3.7022053158036337`*^9, 3.702205321334461*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   FractionBox[
    RowBox[{"1", "+", 
     RowBox[{"6", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Lambda]"}], ")"}], " ", "\[Lambda]"}]}], 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"w", "-", "z"}], ")"}], "4"]], "-", 
   FractionBox[
    RowBox[{"2", " ", 
     RowBox[{"\[DoubleStruckCapitalT]", "[", "z", "]"}]}], 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"w", "-", "z"}], ")"}], "2"]], "-", 
   FractionBox[
    RowBox[{
     SuperscriptBox["\[DoubleStruckCapitalT]", "\[Prime]",
      MultilineFunction->None], "[", "z", "]"}], 
    RowBox[{"w", "-", "z"}]], "+", 
   InterpretationBox[
    SuperscriptBox[
     RowBox[{"O", "[", 
      RowBox[{"w", "-", "z"}], "]"}], "0"],
    SeriesData[$CellContext`w, $CellContext`z, {}, -4, 0, 1],
    Editable->False]}],
  SeriesData[$CellContext`w, $CellContext`z, {
   1 + 6 (-1 + $CellContext`\[Lambda]) $CellContext`\[Lambda], 
    0, (-2) $CellContext`\[DoubleStruckCapitalT][$CellContext`z], -
    Derivative[1][$CellContext`\[DoubleStruckCapitalT]][$CellContext`z]}, -4, 
   0, 1],
  Editable->False]], "Output",
 CellChangeTimes->{
  3.702205321617351*^9, 3.702205379014674*^9, {3.7022054213240633`*^9, 
   3.702205425920158*^9}, 3.7022054983821707`*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 "Graphs of ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["\[Phi]", "n"], TraditionalForm]],
  FormatType->"TraditionalForm"]
}], "Section",
 CellChangeTimes->{{3.702205503633294*^9, 3.7022055086697607`*^9}}],

Cell[BoxData[
 RowBox[{"Notation", ":", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"\[Phi]", "[", "x1", "]"}], 
    RowBox[{"\[Phi]", "[", "x2", "]"}], 
    RowBox[{"\[Phi]", "[", "x3", "]"}], 
    SuperscriptBox[
     RowBox[{"\[Phi]", "[", "za", "]"}], "3"], 
    SuperscriptBox[
     RowBox[{"\[Phi]", "[", "zb", "]"}], "3"]}], "\[UndirectedEdge]", 
   RowBox[{"op", "[", 
    RowBox[{
    "1", ",", "2", ",", "3", ",", "a", ",", "a", ",", "a", ",", "b", ",", "b",
      ",", "b"}], "]"}]}]}]], "Text",
 CellChangeTimes->{{3.702206879653843*^9, 3.702206897498618*^9}, {
  3.702206933126958*^9, 3.7022069641584663`*^9}, {3.702207309667211*^9, 
  3.702207310130289*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"wick", "[", 
    RowBox[{"op", "[", "a__", "]"}], "]"}], ":=", 
   RowBox[{"Sum", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"\[LeftAngleBracket]", 
       RowBox[{
        RowBox[{
         RowBox[{"op", "[", "a", "]"}], "[", 
         RowBox[{"[", "1", "]"}], "]"}], ",", 
        RowBox[{
         RowBox[{"op", "[", "a", "]"}], "[", 
         RowBox[{"[", "j", "]"}], "]"}]}], "\[RightAngleBracket]"}], 
      RowBox[{"wick", "[", 
       RowBox[{"Drop", "[", 
        RowBox[{
         RowBox[{"Drop", "[", 
          RowBox[{
           RowBox[{"op", "[", "a", "]"}], ",", " ", 
           RowBox[{"{", "j", "}"}]}], "]"}], ",", " ", 
         RowBox[{"{", "1", "}"}]}], "]"}], "]"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"j", ",", " ", "2", ",", " ", 
       RowBox[{"Length", "[", 
        RowBox[{"op", "[", "a", "]"}], "]"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"wick", "[", 
   RowBox[{"op", "[", 
    RowBox[{"a_", ",", "b_"}], "]"}], "]"}], ":=", 
  RowBox[{"\[LeftAngleBracket]", 
   RowBox[{"a", ",", "b"}], "\[RightAngleBracket]"}]}]}], "Input",
 CellChangeTimes->{{3.702206744969761*^9, 3.702206844389967*^9}, {
  3.702206905102029*^9, 3.702206930383688*^9}, {3.702207055230896*^9, 
  3.70220708790352*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"example", "=", 
   RowBox[{
    RowBox[{"wick", "[", 
     RowBox[{"op", "[", 
      RowBox[{
      "1", ",", "2", ",", "3", ",", "a", ",", "a", ",", "a", ",", "b", ",", 
       "b", ",", "b", ",", "c", ",", "c", ",", "c"}], "]"}], "]"}], "//", 
    "Expand"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.702207007657281*^9, 3.702207027513442*^9}, {
  3.7022071662075033`*^9, 3.702207184883265*^9}, {3.702207302106079*^9, 
  3.702207316739208*^9}, {3.702207392299746*^9, 3.702207393308219*^9}}],

Cell["We want to replace \[LeftAngleBracket]1,a\[RightAngleBracket]\
\[LeftAngleBracket]a,b\[RightAngleBracket]\[LeftAngleBracket]2,b\
\[RightAngleBracket]... by", "Text",
 CellChangeTimes->{{3.7022073692758627`*^9, 3.702207379771863*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"GraphPlot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"1", "\[Rule]", "a"}], ",", 
     RowBox[{"a", "\[Rule]", "b"}], ",", 
     RowBox[{"2", "\[Rule]", "b"}], ",", 
     RowBox[{"b", "\[Rule]", "c"}], ",", 
     RowBox[{"3", "\[Rule]", "c"}], ",", 
     RowBox[{"a", "\[Rule]", "c"}]}], "}"}], ",", 
   RowBox[{"VertexLabeling", "\[Rule]", "True"}], ",", 
   RowBox[{"ImageSize", "\[Rule]", "150"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.702207236916943*^9, 3.702207263171061*^9}, {
  3.702207318402482*^9, 3.702207348872394*^9}}],

Cell[BoxData[
 GraphicsBox[
  TagBox[GraphicsComplexBox[{{2.7461361140165503`, 0.}, {1.8683310451263238`, 
    0.5241029068425127}, {1.3905009228268903`, 1.3772908938443156`}, {
    1.4024220422705294`, 2.399800970491784}, {0.8917353484111394, 
    0.5377193587790056}, {0., 0.0376292546292788}}, {
     {RGBColor[0.5, 0., 0.], 
      LineBox[{{1, 2}, {2, 3}, {2, 5}, {3, 5}, {4, 3}, {6, 5}}]}, {InsetBox[
       FrameBox["1",
        Background->RGBColor[1, 1, 0.8],
        FrameStyle->RGBColor[0.94, 0.85, 0.36],
        StripOnInput->False], 1], InsetBox[
       FrameBox["a",
        Background->RGBColor[1, 1, 0.8],
        FrameStyle->RGBColor[0.94, 0.85, 0.36],
        StripOnInput->False], 2], InsetBox[
       FrameBox["b",
        Background->RGBColor[1, 1, 0.8],
        FrameStyle->RGBColor[0.94, 0.85, 0.36],
        StripOnInput->False], 3], InsetBox[
       FrameBox["2",
        Background->RGBColor[1, 1, 0.8],
        FrameStyle->RGBColor[0.94, 0.85, 0.36],
        StripOnInput->False], 4], InsetBox[
       FrameBox["c",
        Background->RGBColor[1, 1, 0.8],
        FrameStyle->RGBColor[0.94, 0.85, 0.36],
        StripOnInput->False], 5], InsetBox[
       FrameBox["3",
        Background->RGBColor[1, 1, 0.8],
        FrameStyle->RGBColor[0.94, 0.85, 0.36],
        StripOnInput->False], 6]}}],
   Annotation[#, 
    VertexCoordinateRules -> {{2.7461361140165503`, 0.}, {1.8683310451263238`,
      0.5241029068425127}, {1.3905009228268903`, 1.3772908938443156`}, {
     1.4024220422705294`, 2.399800970491784}, {0.8917353484111394, 
     0.5377193587790056}, {0., 0.0376292546292788}}]& ],
  AspectRatio->Automatic,
  FrameTicks->None,
  ImageSize->150,
  PlotRange->All,
  PlotRangePadding->Scaled[0.1]]], "Output",
 CellChangeTimes->{{3.70220732375624*^9, 3.702207349445847*^9}, 
   3.7022093283388653`*^9}]
}, Open  ]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"term1", "=", 
   RowBox[{
    RowBox[{"\[LeftAngleBracket]", 
     RowBox[{"1", ",", "3"}], "\[RightAngleBracket]"}], " ", 
    RowBox[{"\[LeftAngleBracket]", 
     RowBox[{"2", ",", "b"}], "\[RightAngleBracket]"}], " ", 
    RowBox[{"\[LeftAngleBracket]", 
     RowBox[{"a", ",", "b"}], "\[RightAngleBracket]"}], " ", 
    SuperscriptBox[
     RowBox[{"\[LeftAngleBracket]", 
      RowBox[{"a", ",", "c"}], "\[RightAngleBracket]"}], "2"], " ", 
    RowBox[{"\[LeftAngleBracket]", 
     RowBox[{"b", ",", "c"}], "\[RightAngleBracket]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"arguments", "[", "term1_", "]"}], ":=", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"Table", "[", 
       RowBox[{"#", ",", 
        RowBox[{"{", 
         RowBox[{"Exponent", "[", 
          RowBox[{"term1", ",", "#"}], "]"}], "}"}]}], "]"}], "&"}], "/@", 
     RowBox[{"Cases", "[", 
      RowBox[{"term1", ",", 
       RowBox[{"\[LeftAngleBracket]", 
        RowBox[{"_", ",", "_"}], "\[RightAngleBracket]"}], ",", 
       "\[Infinity]"}], "]"}]}], "/.", 
    RowBox[{"AngleBracket", "\[Rule]", "Rule"}]}], "//", 
   "Flatten"}]}]}], "Input",
 CellChangeTimes->{{3.7022074401051607`*^9, 3.702207502463099*^9}, {
   3.702207554891438*^9, 3.702207632306554*^9}, {3.702207671905634*^9, 
   3.702207745698341*^9}, {3.702207797363565*^9, 3.7022078044507017`*^9}, 
   3.702208059324882*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"arguments2", "[", "term_", "]"}], ":=", "\[IndentingNewLine]", 
  RowBox[{"Block", "[", 
   RowBox[{
    RowBox[{"{", "indices", "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"indices", "=", 
      RowBox[{
       RowBox[{"term", "/.", 
        RowBox[{"AngleBracket", "\[Rule]", "List"}]}], "//", "Variables"}]}], 
     ";", "\[IndentingNewLine]", 
     RowBox[{"First", "@", 
      RowBox[{"Sort", "@", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{"arguments", "[", "term", "]"}], "/.", 
            RowBox[{"Inner", "[", 
             RowBox[{"Rule", ",", "indices", ",", "p", ",", "List"}], "]"}]}],
            "/.", 
           RowBox[{"r_Rule", "\[RuleDelayed]", 
            RowBox[{"Sort", "[", "r", "]"}]}]}], "//", "Sort"}], ",", 
         RowBox[{"{", 
          RowBox[{"p", ",", 
           RowBox[{"Permutations", "[", "indices", "]"}]}], "}"}]}], 
        "]"}]}]}]}]}], "\[IndentingNewLine]", "]"}]}]], "Input",
 CellChangeTimes->{{3.702208791130248*^9, 3.702208866419753*^9}, {
  3.70220892384032*^9, 3.702208978160534*^9}, {3.702209015214233*^9, 
  3.702209020942464*^9}, {3.702209051193986*^9, 3.702209087881254*^9}, {
  3.702209256025528*^9, 3.702209286344254*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"doGraph", "[", "term_", "]"}], ":=", 
   RowBox[{"GraphPlot", "[", 
    RowBox[{
     RowBox[{"arguments2", "[", "term", "]"}], ",", 
     RowBox[{"VertexLabeling", "\[Rule]", "True"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "150"}]}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.7022080810589457`*^9, 3.7022081079010677`*^9}, 
   3.702209089912168*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"checkConnected", "[", "term1_", "]"}], ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"FreeQ", "[", 
     RowBox[{"#", ",", "\[Infinity]"}], "]"}], "&"}], "@", 
   RowBox[{"GraphDistanceMatrix", "@", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"arguments2", "[", "term1", "]"}], "~", "Join", "~", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"arguments2", "[", "term1", "]"}], "/.", 
        RowBox[{
         RowBox[{"Rule", "[", 
          RowBox[{"a_", ",", "b_"}], "]"}], "\[Rule]", 
         RowBox[{"Rule", "[", 
          RowBox[{"b", ",", "a"}], "]"}]}]}], ")"}]}], ")"}]}]}]}]], "Input",
 CellChangeTimes->{{3.70220813839062*^9, 3.7022081529827642`*^9}, {
  3.702208189053657*^9, 3.702208218091989*^9}, {3.7022085218989697`*^9, 
  3.702208553306634*^9}, {3.702209091448062*^9, 3.7022090930236683`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"final", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"example", "/.", 
     RowBox[{
      RowBox[{"number_", " ", "brackets_"}], "\[RuleDelayed]", 
      RowBox[{
       RowBox[{
        RowBox[{"Boole", "[", 
         RowBox[{"checkConnected", "[", "brackets", "]"}], "]"}], "number", 
        " ", 
        RowBox[{"doGraph", "[", "brackets", "]"}]}], "/;", 
       RowBox[{"NumericQ", "[", "number", "]"}]}]}]}], "//", 
    RowBox[{
     FractionBox["#", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"3", "!"}], ")"}], "3"]], "&"}]}], "//", 
   "Expand"}]}]], "Input",
 CellChangeTimes->{{3.702208241255093*^9, 3.7022082426308193`*^9}, {
  3.702208285276029*^9, 3.702208338361884*^9}, {3.702208628695506*^9, 
  3.7022086294470997`*^9}, {3.702209130611442*^9, 3.7022091864471188`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"6", " ", 
   GraphicsBox[
    TagBox[
     GraphicsComplexBox[{{1.3642228732924155`, 0.}, {1.3672127489616819`, 
      1.0219291657998473`}, {0., 2.387532806906176}, {0.8826068972820398, 
      1.8704778030490772`}, {2.747246856898171, 2.3725973543752015`}, {
      1.8602595401015343`, 1.865504255258526}}, {
       {RGBColor[0.5, 0., 0.], 
        LineBox[{{1, 2}, {2, 4}, {2, 6}, {3, 4}, {4, 6}, {5, 6}}]}, {
        InsetBox[
         FrameBox["1",
          Background->RGBColor[1, 1, 0.8],
          FrameStyle->RGBColor[0.94, 0.85, 0.36],
          StripOnInput->False], 1], InsetBox[
         FrameBox["a",
          Background->RGBColor[1, 1, 0.8],
          FrameStyle->RGBColor[0.94, 0.85, 0.36],
          StripOnInput->False], 2], InsetBox[
         FrameBox["2",
          Background->RGBColor[1, 1, 0.8],
          FrameStyle->RGBColor[0.94, 0.85, 0.36],
          StripOnInput->False], 3], InsetBox[
         FrameBox["b",
          Background->RGBColor[1, 1, 0.8],
          FrameStyle->RGBColor[0.94, 0.85, 0.36],
          StripOnInput->False], 4], InsetBox[
         FrameBox["3",
          Background->RGBColor[1, 1, 0.8],
          FrameStyle->RGBColor[0.94, 0.85, 0.36],
          StripOnInput->False], 5], InsetBox[
         FrameBox["c",
          Background->RGBColor[1, 1, 0.8],
          FrameStyle->RGBColor[0.94, 0.85, 0.36],
          StripOnInput->False], 6]}}],
     Annotation[#, 
      VertexCoordinateRules -> {{1.3642228732924155`, 0.}, {
       1.3672127489616819`, 1.0219291657998473`}, {0., 2.387532806906176}, {
       0.8826068972820398, 1.8704778030490772`}, {2.747246856898171, 
       2.3725973543752015`}, {1.8602595401015343`, 1.865504255258526}}]& ],
    AspectRatio->Automatic,
    FrameTicks->None,
    ImageSize->150,
    PlotRange->All,
    PlotRangePadding->Scaled[0.1]]}], "+", 
  RowBox[{"3", " ", 
   GraphicsBox[
    TagBox[GraphicsComplexBox[CompressedData["
1:eJxTTMoPSmViYGCQBWIQDQJLzt6xdevdffcm4x/7z1oXJz9b/ch+2ZErQPqT
PVQJw/24V2BxE7UlYHUw8eyDX/fc7Pxmv2bqKbD6W58PgOWvxB4D8pkc3pwI
31Hz6bf99pPTXT3WMTnEMisaF7/5ZT+1zlUm7Q2TA9OVvskHhH/ZG2jdOnDQ
h9nhccyD7mOVP+2nM6tMXnCc2eGyT+aje1o/7VMi7LrUg1kc3m8Jvhqr+9P+
pNCtKapPWBwm7o5XEWj8ab/twt2Mn3msDjb+Hrr28r/sL9qkBTe8YHWIeZR0
zOr3L3snjsiHv9zYHLbVHDkRy/zHfvZlW86rTWwOihd/JFco/bWXE9M/4Tid
zWHlMyvtZsd/9vo7mrbNBcq/fHLiW7nnf/vAz09XTwDq/8wyOXSqEIPD0wKl
A6+fszo0TJD6W5vI4HDn6NIkN6D9/uwF8xW7GRwUdp8oT3rM4hCxOs9Ms4fB
oa7//J/kIBaHw9KNc+tTGByefb3m8uYYs0Peh+POweIMDkdWSmloA/0v//Pq
hpWh/+13ChX5/nzN5BBZwhZb4P/P/uy8b794geEXnZsmymz41z7GqmVpwnQm
B9dT8+OjBf/Y3ztd++XQSiYHAJKa2n0=
      "], {
       {RGBColor[0.5, 0., 0.], 
        LineBox[{{1, 2}, {2, 5}, {3, 2}, {4, 5}, {5, 6}, {6, 7, 8, 9, 10, 11, 
          12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 
          29, 6}}]}, {InsetBox[
         FrameBox["1",
          Background->RGBColor[1, 1, 0.8],
          FrameStyle->RGBColor[0.94, 0.85, 0.36],
          StripOnInput->False], 1], InsetBox[
         FrameBox["a",
          Background->RGBColor[1, 1, 0.8],
          FrameStyle->RGBColor[0.94, 0.85, 0.36],
          StripOnInput->False], 2], InsetBox[
         FrameBox["2",
          Background->RGBColor[1, 1, 0.8],
          FrameStyle->RGBColor[0.94, 0.85, 0.36],
          StripOnInput->False], 3], InsetBox[
         FrameBox["3",
          Background->RGBColor[1, 1, 0.8],
          FrameStyle->RGBColor[0.94, 0.85, 0.36],
          StripOnInput->False], 4], InsetBox[
         FrameBox["b",
          Background->RGBColor[1, 1, 0.8],
          FrameStyle->RGBColor[0.94, 0.85, 0.36],
          StripOnInput->False], 5], InsetBox[
         FrameBox["c",
          Background->RGBColor[1, 1, 0.8],
          FrameStyle->RGBColor[0.94, 0.85, 0.36],
          StripOnInput->False], 6]}}],
     Annotation[#, 
      VertexCoordinateRules -> {{1.047857356439863*^-10, 
       1.7504519139700547`}, {0.5834839713146195, 1.1669679426816315`}, {0., 
       0.5834839714979941}, {1.7504519136295018`, 0.}, {1.40865491688245, 
       1.166967942533442}, {1.7504519140486452`, 2.33393588494412}}]& ],
    AspectRatio->Automatic,
    FrameTicks->None,
    ImageSize->150,
    PlotRange->All,
    PlotRangePadding->Scaled[0.1]]}], "+", 
  RowBox[{"3", " ", 
   GraphicsBox[
    TagBox[GraphicsComplexBox[CompressedData["
1:eJxTTMoPSmViYGCQBWIQfWTi/cnPVj+yd+ndffcm4x/7T1oXgfxP9kuPXAHT
DEjActZX2+3tJ8Hil5LkmhkeXLVXitoL1qd2YAOYvhZ7DCjP5ADTY3diuqvH
OiB/c/glr1159jeSXWXS3jA5XJzKsCorbKN9/6+bBw76MDvI31NdPOXhPnvZ
o8qTFxxndlBS5uif5XDE3k/Irks9mMVBLujQrevbj9l/OHNziuoTFocZFwqc
Hyw+Zv9+0t2Mn3msDvfchU77sh2x9+ZLC254werA7DyPfbXmPvtP7yIe/nJj
c/ga/r30Y+YG+0OXbTmvNrE5MLjfUdhgZ7H/i6H+CcfpbA7vl6Qmv+DctH/T
+6Ztc4HyafsOZ3v9Pbjf3eXZ6glA/SsyTU58sDm1n+u60oHXz1kdzkT1mzr3
XthvYb0syQ1o//2iM4UdLJf3t1icLE96zOIw539Fy9LAK/tFeS/8SQ5icZj8
P8/mUeSV/dezr7u8OcbsIBzFXDpV5vL+ywLSGtpA/5/ZY7XcaPOF/XdTinx/
vmZyqEtZPqNu3qn9K65/+8ULDL+Qv9q/Nucc2j8zvGVpwnQmh/ViEVWTP23a
H3+29suhlUwOD+rW7WVmzt8PAPsY4hw=
      "], {
       {RGBColor[0.5, 0., 0.], 
        LineBox[{{1, 2}, {2, 4}, {3, 4}, {4, 6}, {5, 2}, {6, 7, 8, 9, 10, 11, 
          12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 
          29, 6}}]}, {InsetBox[
         FrameBox["1",
          Background->RGBColor[1, 1, 0.8],
          FrameStyle->RGBColor[0.94, 0.85, 0.36],
          StripOnInput->False], 1], InsetBox[
         FrameBox["a",
          Background->RGBColor[1, 1, 0.8],
          FrameStyle->RGBColor[0.94, 0.85, 0.36],
          StripOnInput->False], 2], InsetBox[
         FrameBox["2",
          Background->RGBColor[1, 1, 0.8],
          FrameStyle->RGBColor[0.94, 0.85, 0.36],
          StripOnInput->False], 3], InsetBox[
         FrameBox["b",
          Background->RGBColor[1, 1, 0.8],
          FrameStyle->RGBColor[0.94, 0.85, 0.36],
          StripOnInput->False], 4], InsetBox[
         FrameBox["3",
          Background->RGBColor[1, 1, 0.8],
          FrameStyle->RGBColor[0.94, 0.85, 0.36],
          StripOnInput->False], 5], InsetBox[
         FrameBox["c",
          Background->RGBColor[1, 1, 0.8],
          FrameStyle->RGBColor[0.94, 0.85, 0.36],
          StripOnInput->False], 6]}}],
     Annotation[#, 
      VertexCoordinateRules -> {{0.5834839714194051, 1.7504519139700543`}, {
       1.1669679426292388`, 1.1669679426816313`}, {0., 
       3.1435676284274905`*^-10}, {1.1669679425180968`, 
       0.34179699711380096`}, {1.7504519139962516`, 1.7504519138128756`}, {
       2.333935884944121, 0.}}]& ],
    AspectRatio->Automatic,
    FrameTicks->None,
    ImageSize->150,
    PlotRange->All,
    PlotRangePadding->Scaled[0.1]]}], "+", 
  RowBox[{"3", " ", 
   GraphicsBox[
    TagBox[GraphicsComplexBox[CompressedData["
1:eJxTTMoPSmViYGCQBWIQfWTi/cnPVj+yd+ndffcm4x/7T1oXgfxP9kuPXAHT
DEjActZX2+3tJ8Hil5LkmhkeXLW/FnsMyGdygKlRitoLNkftwAYwrXJ0udmK
b7/tjz6s/JvG+8c+PujZ3Dif3/ZR2vtnK/34Y7/d79mJHa9+2W/t1zYx4vxn
v3nH38vdN3/Zm0iHb1un9d9e4MiJPAup3/bmF64/Wa/E4OB9SHBS3/Lf9lo3
1vj6LGRwyH2yidWi7I/98V89e1nYGR2MfohpLyz9ax//W7N8gzejw6GzBgm+
E//Zp1jmJ53NZHTYdSp+bfWm//az/3eqf4xjdIir/fv/TwKDQwYz14lf2owO
Nzk27ma4yuBgf3kpmF6TLwIWv7jhI1idZ8NksL79De5gc5T3l4PNFYmTANvz
o8sQbC/Xx39aIHfsXzMZ7K75p2eD3Xnu2iawu/u4/kwE+cMs5C7YX8cPbwH7
89umRLC/WRa/BoeDi6sZOFxy9a+Bwymh6xQ43H7y3ACHY0hGGzhcpcVng8MZ
ACTU5JY=
      "], {
       {RGBColor[0.5, 0., 0.], 
        LineBox[{{1, 2}, {2, 4}, {2, 6}, {3, 4}, {5, 4}, {6, 7, 8, 9, 10, 11, 
          12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 
          29, 6}}]}, {InsetBox[
         FrameBox["1",
          Background->RGBColor[1, 1, 0.8],
          FrameStyle->RGBColor[0.94, 0.85, 0.36],
          StripOnInput->False], 1], InsetBox[
         FrameBox["a",
          Background->RGBColor[1, 1, 0.8],
          FrameStyle->RGBColor[0.94, 0.85, 0.36],
          StripOnInput->False], 2], InsetBox[
         FrameBox["2",
          Background->RGBColor[1, 1, 0.8],
          FrameStyle->RGBColor[0.94, 0.85, 0.36],
          StripOnInput->False], 3], InsetBox[
         FrameBox["b",
          Background->RGBColor[1, 1, 0.8],
          FrameStyle->RGBColor[0.94, 0.85, 0.36],
          StripOnInput->False], 4], InsetBox[
         FrameBox["3",
          Background->RGBColor[1, 1, 0.8],
          FrameStyle->RGBColor[0.94, 0.85, 0.36],
          StripOnInput->False], 5], InsetBox[
         FrameBox["c",
          Background->RGBColor[1, 1, 0.8],
          FrameStyle->RGBColor[0.94, 0.85, 0.36],
          StripOnInput->False], 6]}}],
     Annotation[#, 
      VertexCoordinateRules -> {{0.5834839714194051, 1.7504519139700543`}, {
       1.1669679426292388`, 1.1669679426816313`}, {0., 
       3.1435676284274905`*^-10}, {1.1669679425180968`, 
       0.34179699711380096`}, {2.333935884944121, 0.}, {1.7504519139962516`, 
       1.7504519138128756`}}]& ],
    AspectRatio->Automatic,
    FrameTicks->None,
    ImageSize->150,
    PlotRange->All,
    PlotRangePadding->Scaled[0.1]]}], "+", 
  RowBox[{"3", " ", 
   GraphicsBox[
    TagBox[GraphicsComplexBox[CompressedData["
1:eJw1j30slAEAxg8hJ5XTSio65GvqFrNS8pxcIydNV7FQm890dT7GmVaaSzR0
Yct0NF0pE02OMqs1FbeZfFxlJboLZetjpebee1/3vtabzbM9e/bbfv88/OSs
I2mWHA7Hi+3/XQ7p01BfMGMhDA4oGvzW/AUTF26x/Ae6ukKW57HseYmVLK8Q
UkFVS34bE9uhNy/CI1tslTvKgJtWtuQfzZOPzI+bIIipeTLFW8TC0KZqv980
Hv611+W8ZaCOFWrnOmk0feYnUNUMUmRBl8jzNKps8icqYxhU6OPrJCIaz52l
+WF2DOLHTwU6rWV9a+W0/0satc5kR4TejMW4Z9K0QhqZvHuPOO1mHGjxn7YQ
0DhpNWFxSGGGTXB+z1kHElzrntIuNwpWX5VZJS9MyJLs2nHHSKI5RLVTkGdC
f+/dxNBhEr8UUaFXtpnwfSBDeqOFRBfXE41jBOwUug+aMhK573uFtSUE9K6F
IvVpEte3Ew8uBxBoiPspPRNNQnb10+5igxFa9W3vDYEkIj+awyP6GGj281sP
FzDwDprRiXIYTFaOpdNJDEQVziEBbgxU/ZHK/jAGlvGP9/kO05Alz1Gd7gy0
BmVoeBGNay4nMnQcBmu8IL7J/tN4uMp9Jtm9GOUgmjbDtrq8qa+LRrtv6quE
WjPOGVZGa8ppZPe0qbTsP5ep2dGNPgvo5m5xTPEzYfWbze7pZgqOSWJV/RQB
w+DAVrfXFMiDMtsyFQFX++RGiYqCZ2Kqeu8xAj+sM/c4pVPgKbr5I44EePJK
iUxAwS57qPX4qBHvaopXyQkSpesitLNVRhStvx8W8pTEP25UMGc=
      "], {
       {RGBColor[0.5, 0., 0.], 
        LineBox[{{1, 2}, {2, 6}, {3, 2}, {4, 5}, {5, 7, 8, 9, 10, 11, 12, 13, 
          14, 15, 16, 17, 18, 19, 20, 21, 22, 6}, {5, 23, 24, 25, 26, 27, 28, 
          29, 30, 31, 32, 33, 34, 35, 36, 37, 38, 6}}]}, {InsetBox[
         FrameBox["1",
          Background->RGBColor[1, 1, 0.8],
          FrameStyle->RGBColor[0.94, 0.85, 0.36],
          StripOnInput->False], 1], InsetBox[
         FrameBox["a",
          Background->RGBColor[1, 1, 0.8],
          FrameStyle->RGBColor[0.94, 0.85, 0.36],
          StripOnInput->False], 2], InsetBox[
         FrameBox["2",
          Background->RGBColor[1, 1, 0.8],
          FrameStyle->RGBColor[0.94, 0.85, 0.36],
          StripOnInput->False], 3], InsetBox[
         FrameBox["3",
          Background->RGBColor[1, 1, 0.8],
          FrameStyle->RGBColor[0.94, 0.85, 0.36],
          StripOnInput->False], 4], InsetBox[
         FrameBox["b",
          Background->RGBColor[1, 1, 0.8],
          FrameStyle->RGBColor[0.94, 0.85, 0.36],
          StripOnInput->False], 5], InsetBox[
         FrameBox["c",
          Background->RGBColor[1, 1, 0.8],
          FrameStyle->RGBColor[0.94, 0.85, 0.36],
          StripOnInput->False], 6]}}],
     Annotation[#, 
      VertexCoordinateRules -> {{0., 2.2360679776221524`}, {
       0.6454972242805247, 1.1180339888303965`}, {1.2909944484941216`, 0.}, {
       2.581988897590594, 2.2360679772743848`}, {1.9364916731427497`, 
       1.863389981145709}, {1.2909944486949052`, 1.4907119850170334`}}]& ],
    AspectRatio->Automatic,
    FrameTicks->None,
    ImageSize->150,
    PlotRange->All,
    PlotRangePadding->Scaled[0.1]]}], "+", 
  RowBox[{"3", " ", 
   GraphicsBox[
    TagBox[GraphicsComplexBox[CompressedData["
1:eJw1jw0slAEcxg8hJ5XTSio65GvqFrNS8pxcIydNV7FQm890dT7GmVaaSzR0
Yct0NF0pE02OMqs1FbeZfFxlJboLZetjpebee1/3vtabzbP99+y3579ne/jJ
WUfSLDkcjhd7/31ZpE9DfcGMhTA4oGjwW/MXTFy4xfIfeImVLK8QUkFVS3kb
E9uhNy/CI1tslTvKQFdXyObzWO7hppUt8dE8+cj8uAmCmJonU7xFLAxtqvb7
TePhX3tdzlsG6lihdq6TRtNnfgJVzSBFFnSJPE+jyiZ/ojKGQYU+vk4iovHc
WZofZscgfvxUoNNa9t9aOe3/kkatM9kRoTdjMe6ZNK2QRibv3iNOuxkHWvyn
LQQ0TlpNWBxSmGETnN9z1oEE17qntMuNgtVXZVbJCxOyJLt23DGSaA5R7RTk
mdDfezcxdJjEL0VU6JVtJnwfyJDeaCHRxfVE4xgBO4Xug6aMRO77XmFtCQG9
a6FIfZrE9e3Eg8sBBBrifkrPRJOQXf20u9hghFZ923tDIInIj+bwiD4Gmv38
1sMFDLyDZnSiHAaTlWPpdBIDUYVzSIAbA1V/pLI/jIFl/ON9vsM0ZMlzVKc7
A61BGRpeROOay4kMHYfBGi+Ib7L7NB6ucp9J1i9GOYimzbCtLm/q66LR7pv6
KqHWjHOGldGachrZPW0qLbvPZWp2dKPPArq5WxxT/ExY/Waze7qZgmOSWFU/
RcAwOLDV7TUF8qDMtkxFwNU+uVGiouCZmKree4zAD+vMPU7pFHiKbv6IIwGe
vFIiE1Cwyx5qPT5qxLua4lVygkTpugjtbJURRevvh4U8JfEPy3QwZw==
      "], {
       {RGBColor[0.5, 0., 0.], 
        LineBox[{{1, 2}, {2, 6}, {3, 4}, {4, 7, 8, 9, 10, 11, 12, 13, 14, 15, 
          16, 17, 18, 19, 20, 21, 22, 6}, {4, 23, 24, 25, 26, 27, 28, 29, 30, 
          31, 32, 33, 34, 35, 36, 37, 38, 6}, {5, 2}}]}, {InsetBox[
         FrameBox["1",
          Background->RGBColor[1, 1, 0.8],
          FrameStyle->RGBColor[0.94, 0.85, 0.36],
          StripOnInput->False], 1], InsetBox[
         FrameBox["a",
          Background->RGBColor[1, 1, 0.8],
          FrameStyle->RGBColor[0.94, 0.85, 0.36],
          StripOnInput->False], 2], InsetBox[
         FrameBox["2",
          Background->RGBColor[1, 1, 0.8],
          FrameStyle->RGBColor[0.94, 0.85, 0.36],
          StripOnInput->False], 3], InsetBox[
         FrameBox["b",
          Background->RGBColor[1, 1, 0.8],
          FrameStyle->RGBColor[0.94, 0.85, 0.36],
          StripOnInput->False], 4], InsetBox[
         FrameBox["3",
          Background->RGBColor[1, 1, 0.8],
          FrameStyle->RGBColor[0.94, 0.85, 0.36],
          StripOnInput->False], 5], InsetBox[
         FrameBox["c",
          Background->RGBColor[1, 1, 0.8],
          FrameStyle->RGBColor[0.94, 0.85, 0.36],
          StripOnInput->False], 6]}}],
     Annotation[#, 
      VertexCoordinateRules -> {{0., 2.2360679776221524`}, {
       0.6454972242805247, 1.1180339888303965`}, {2.581988897590594, 
       2.2360679772743848`}, {1.9364916731427497`, 1.863389981145709}, {
       1.2909944484941216`, 0.}, {1.2909944486949052`, 
       1.4907119850170334`}}]& ],
    AspectRatio->Automatic,
    FrameTicks->None,
    ImageSize->150,
    PlotRange->All,
    PlotRangePadding->Scaled[0.1]]}], "+", 
  RowBox[{"3", " ", 
   GraphicsBox[
    TagBox[GraphicsComplexBox[CompressedData["
1:eJxNUH0s1AEAPcfWkrXbtCHjjunc6JOiGR6yqC4Kwx+Vy7nLR8mMO1+bsoWU
K6WxtD6OoXyU45aQPjVDddb94Vsb4+6Q7ndHv5/7XXX9Yettb29v771/nlvy
5RgRk8FgcC38p5sgeQ/qpHNWIbaismFt0zzchQnW2SozRmvzLd6Izd7EUGTH
jOk3pq5XWfp6cE/ILLlNCHXo9n97I+JyJF+N479QPe3T6OiwiP2fvVuipWYE
rggrXF4v4tTLWTF91oyeP6Qy7LwGO6tiZAOhZiS6vlHEWWuxW0VRne5miN5u
6+DUazHhLbwwyjCDOfusJidEB3qcK+FN0ahW37VnT+owtnKn4WMXDTgLmlaz
l5Axz+IrKmhc7E2h7Sb1uOKqUznxNnDJz3gtaxcB4Su2u9hEQdA2QPtnEmAk
jXDYIxRmSuW3+EoCTH7Ko9j7FAIPt67VbBCQr6cH2IspOHxLzLUJNmDQURab
uY+CX33YUlGxAUPaEjvJOgmfnkHVcr8B2z2aQgN7SfT12Lyby19Aaie3ymuV
hlLDuvmBXEDryvFPPztpGMvnpV2Fi2jvRzFZQKO5P0haydRA/T25Njachsjt
9BGPSg0kN9J87Vk0BGrbtJPOWuTlWSkiZkyIfN8WP9WqxQ7X9heM5yYc6x5J
qw/VgeyeszpZYgKxtW5aHKaHnaGvtItNIWLPVc9omR6PtQF75WskWM25ogbL
P0XmxjPBX0gI/AcSo7wIPGxJz7j3lIS4fCnhYAEB/hb1mKKMhLImKj5omEDS
0cLwJ6kkjByn5WgXA3icHxnpfBKDzQfOxWQZEGkr93TwJfEXORQ4kw==
      "], {
       {RGBColor[0.5, 0., 0.], 
        LineBox[{{1, 2}, {2, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 
          20, 21, 22, 6}, {2, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 
          35, 36, 37, 38, 6}, {3, 4}, {4, 6}, {5, 4}}]}, {InsetBox[
         FrameBox["1",
          Background->RGBColor[1, 1, 0.8],
          FrameStyle->RGBColor[0.94, 0.85, 0.36],
          StripOnInput->False], 1], InsetBox[
         FrameBox["a",
          Background->RGBColor[1, 1, 0.8],
          FrameStyle->RGBColor[0.94, 0.85, 0.36],
          StripOnInput->False], 2], InsetBox[
         FrameBox["2",
          Background->RGBColor[1, 1, 0.8],
          FrameStyle->RGBColor[0.94, 0.85, 0.36],
          StripOnInput->False], 3], InsetBox[
         FrameBox["b",
          Background->RGBColor[1, 1, 0.8],
          FrameStyle->RGBColor[0.94, 0.85, 0.36],
          StripOnInput->False], 4], InsetBox[
         FrameBox["3",
          Background->RGBColor[1, 1, 0.8],
          FrameStyle->RGBColor[0.94, 0.85, 0.36],
          StripOnInput->False], 5], InsetBox[
         FrameBox["c",
          Background->RGBColor[1, 1, 0.8],
          FrameStyle->RGBColor[0.94, 0.85, 0.36],
          StripOnInput->False], 6]}}],
     Annotation[#, 
      VertexCoordinateRules -> {{0., 2.2360679776221524`}, {
       0.6454972243474526, 1.8633899813195929`}, {1.2909944484941216`, 0.}, {
       1.9364916730088937`, 1.1180339886565127`}, {2.581988897590594, 
       2.2360679772743848`}, {1.2909944486949052`, 1.4907119850170334`}}]& ],
    AspectRatio->Automatic,
    FrameTicks->None,
    ImageSize->150,
    PlotRange->All,
    PlotRangePadding->Scaled[0.1]]}]}]], "Output",
 CellChangeTimes->{
  3.7022083409736767`*^9, {3.702208606898693*^9, 3.702208631098394*^9}, 
   3.702209106318953*^9, {3.702209144316732*^9, 3.702209187296172*^9}, {
   3.702209309553548*^9, 3.702209328873807*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"finalPicture", "=", 
  RowBox[{"Labeled", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"final", "//", "Expand"}], ")"}], "/.", 
      RowBox[{
       RowBox[{"Text", "[", 
        RowBox[{
         RowBox[{"Framed", "[", 
          RowBox[{"a_", ",", "text___"}], "]"}], ",", "somethingelse___"}], 
        "]"}], "\[RuleDelayed]", 
       RowBox[{
        RowBox[{"Sequence", "[", "]"}], "/;", 
        RowBox[{"!", 
         RowBox[{"NumericQ", "[", "a", "]"}]}]}]}]}], "/.", 
     RowBox[{
      RowBox[{"a_", " ", "c_Graphics"}], ":>", 
      RowBox[{"Labeled", "[", 
       RowBox[{"c", ",", "a", ",", "Left"}], "]"}]}]}], ",", 
    "\"\<\!\(\*SuperscriptBox[\(\[Lambda]\), \(3\)]\)(\!\(\*SuperscriptBox[\(\
\[Phi]\), \(3\)]\)\!\(\*SuperscriptBox[\()\), \(3\)]\) contribution to the \
3pt function\>\"", ",", "Top"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.702209349772799*^9, 3.7022093558148603`*^9}, {
  3.7022096389414377`*^9, 3.7022096392245283`*^9}, {3.702209690735538*^9, 
  3.7022098435717583`*^9}}],

Cell[BoxData[
 TemplateBox[{RowBox[{
     TemplateBox[{
       GraphicsBox[
        TagBox[
         GraphicsComplexBox[{{1.3642228732924155`, 0.}, {1.3672127489616819`, 
          1.0219291657998473`}, {0., 2.387532806906176}, {0.8826068972820398, 
          1.8704778030490772`}, {2.747246856898171, 2.3725973543752015`}, {
          1.8602595401015343`, 1.865504255258526}}, {{
            RGBColor[0.5, 0., 0.], 
            LineBox[{{1, 2}, {2, 4}, {2, 6}, {3, 4}, {4, 6}, {5, 6}}]}, {
            InsetBox[
             FormBox[
              FrameBox[
              "1", Background -> RGBColor[1, 1, 0.8], FrameStyle -> 
               RGBColor[0.94, 0.85, 0.36], FrameMargins -> Inherited, 
               StripOnInput -> False], TraditionalForm], 1], 
            InsetBox[
             FormBox[
              FrameBox[
              "2", Background -> RGBColor[1, 1, 0.8], FrameStyle -> 
               RGBColor[0.94, 0.85, 0.36], FrameMargins -> Inherited, 
               StripOnInput -> False], TraditionalForm], 3], 
            InsetBox[
             FormBox[
              FrameBox[
              "3", Background -> RGBColor[1, 1, 0.8], FrameStyle -> 
               RGBColor[0.94, 0.85, 0.36], FrameMargins -> Inherited, 
               StripOnInput -> False], TraditionalForm], 5]}}, {}], 
         Annotation[#, 
          VertexCoordinateRules -> {{1.3642228732924155`, 0.}, {
           1.3672127489616819`, 1.0219291657998473`}, {0., 
           2.387532806906176}, {0.8826068972820398, 1.8704778030490772`}, {
           2.747246856898171, 2.3725973543752015`}, {1.8602595401015343`, 
           1.865504255258526}}]& ], FrameTicks -> None, PlotRange -> All, 
        PlotRangePadding -> Scaled[0.1], AspectRatio -> Automatic, ImageSize -> 
        150], "6"}, "Labeled", DisplayFunction -> (GridBox[{{
          ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"], 
          TagBox[
           ItemBox[
            PaneBox[
             TagBox[#, "SkipImageSizeLevel"], Alignment -> {Center, Baseline},
              BaselinePosition -> Baseline], DefaultBaseStyle -> "Labeled"], 
           "SkipImageSizeLevel"]}}, 
        GridBoxAlignment -> {"Columns" -> {{Center}}, "Rows" -> {{Center}}}, 
        AutoDelete -> False, 
        GridBoxItemSize -> {
         "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
        BaselinePosition -> {1, 2}]& ), 
      InterpretationFunction -> (RowBox[{"Labeled", "[", 
         RowBox[{#, ",", #2, ",", "Left"}], "]"}]& )], "+", 
     TemplateBox[{
       GraphicsBox[
        TagBox[
         GraphicsComplexBox[CompressedData["
1:eJxTTMoPSmViYGCQBWIQDQJLzt6xdevdffcm4x/7z1oXJz9b/ch+2ZErQPqT
PVQJw/24V2BxE7UlYHUw8eyDX/fc7Pxmv2bqKbD6W58PgOWvxB4D8pkc3pwI
31Hz6bf99pPTXT3WMTnEMisaF7/5ZT+1zlUm7Q2TA9OVvskHhH/ZG2jdOnDQ
h9nhccyD7mOVP+2nM6tMXnCc2eGyT+aje1o/7VMi7LrUg1kc3m8Jvhqr+9P+
pNCtKapPWBwm7o5XEWj8ab/twt2Mn3msDjb+Hrr28r/sL9qkBTe8YHWIeZR0
zOr3L3snjsiHv9zYHLbVHDkRy/zHfvZlW86rTWwOihd/JFco/bWXE9M/4Tid
zWHlMyvtZsd/9vo7mrbNBcq/fHLiW7nnf/vAz09XTwDq/8wyOXSqEIPD0wKl
A6+fszo0TJD6W5vI4HDn6NIkN6D9/uwF8xW7GRwUdp8oT3rM4hCxOs9Ms4fB
oa7//J/kIBaHw9KNc+tTGByefb3m8uYYs0Peh+POweIMDkdWSmloA/0v//Pq
hpWh/+13ChX5/nzN5BBZwhZb4P/P/uy8b794geEXnZsmymz41z7GqmVpwnQm
B9dT8+OjBf/Y3ztd++XQSiYHAJKa2n0=
          "], {{
            RGBColor[0.5, 0., 0.], 
            
            LineBox[{{1, 2}, {2, 5}, {3, 2}, {4, 5}, {5, 6}, {6, 7, 8, 9, 10, 
              11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 
              27, 28, 29, 6}}]}, {
            InsetBox[
             FormBox[
              FrameBox[
              "1", Background -> RGBColor[1, 1, 0.8], FrameStyle -> 
               RGBColor[0.94, 0.85, 0.36], FrameMargins -> Inherited, 
               StripOnInput -> False], TraditionalForm], 1], 
            InsetBox[
             FormBox[
              FrameBox[
              "2", Background -> RGBColor[1, 1, 0.8], FrameStyle -> 
               RGBColor[0.94, 0.85, 0.36], FrameMargins -> Inherited, 
               StripOnInput -> False], TraditionalForm], 3], 
            InsetBox[
             FormBox[
              FrameBox[
              "3", Background -> RGBColor[1, 1, 0.8], FrameStyle -> 
               RGBColor[0.94, 0.85, 0.36], FrameMargins -> Inherited, 
               StripOnInput -> False], TraditionalForm], 4]}}, {}], 
         Annotation[#, 
          VertexCoordinateRules -> {{1.047857356439863*^-10, 
           1.7504519139700547`}, {0.5834839713146195, 1.1669679426816315`}, {
           0., 0.5834839714979941}, {1.7504519136295018`, 0.}, {
           1.40865491688245, 1.166967942533442}, {1.7504519140486452`, 
           2.33393588494412}}]& ], FrameTicks -> None, PlotRange -> All, 
        PlotRangePadding -> Scaled[0.1], AspectRatio -> Automatic, ImageSize -> 
        150], "3"}, "Labeled", DisplayFunction -> (GridBox[{{
          ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"], 
          TagBox[
           ItemBox[
            PaneBox[
             TagBox[#, "SkipImageSizeLevel"], Alignment -> {Center, Baseline},
              BaselinePosition -> Baseline], DefaultBaseStyle -> "Labeled"], 
           "SkipImageSizeLevel"]}}, 
        GridBoxAlignment -> {"Columns" -> {{Center}}, "Rows" -> {{Center}}}, 
        AutoDelete -> False, 
        GridBoxItemSize -> {
         "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
        BaselinePosition -> {1, 2}]& ), 
      InterpretationFunction -> (RowBox[{"Labeled", "[", 
         RowBox[{#, ",", #2, ",", "Left"}], "]"}]& )], "+", 
     TemplateBox[{
       GraphicsBox[
        TagBox[
         GraphicsComplexBox[CompressedData["
1:eJxTTMoPSmViYGCQBWIQfWTi/cnPVj+yd+ndffcm4x/7T1oXgfxP9kuPXAHT
DEjActZX2+3tJ8Hil5LkmhkeXLVXitoL1qd2YAOYvhZ7DCjP5ADTY3diuqvH
OiB/c/glr1159jeSXWXS3jA5XJzKsCorbKN9/6+bBw76MDvI31NdPOXhPnvZ
o8qTFxxndlBS5uif5XDE3k/Irks9mMVBLujQrevbj9l/OHNziuoTFocZFwqc
Hyw+Zv9+0t2Mn3msDvfchU77sh2x9+ZLC254werA7DyPfbXmPvtP7yIe/nJj
c/ga/r30Y+YG+0OXbTmvNrE5MLjfUdhgZ7H/i6H+CcfpbA7vl6Qmv+DctH/T
+6Ztc4HyafsOZ3v9Pbjf3eXZ6glA/SsyTU58sDm1n+u60oHXz1kdzkT1mzr3
XthvYb0syQ1o//2iM4UdLJf3t1icLE96zOIw539Fy9LAK/tFeS/8SQ5icZj8
P8/mUeSV/dezr7u8OcbsIBzFXDpV5vL+ywLSGtpA/5/ZY7XcaPOF/XdTinx/
vmZyqEtZPqNu3qn9K65/+8ULDL+Qv9q/Nucc2j8zvGVpwnQmh/ViEVWTP23a
H3+29suhlUwOD+rW7WVmzt8PAPsY4hw=
          "], {{
            RGBColor[0.5, 0., 0.], 
            
            LineBox[{{1, 2}, {2, 4}, {3, 4}, {4, 6}, {5, 2}, {6, 7, 8, 9, 10, 
              11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 
              27, 28, 29, 6}}]}, {
            InsetBox[
             FormBox[
              FrameBox[
              "1", Background -> RGBColor[1, 1, 0.8], FrameStyle -> 
               RGBColor[0.94, 0.85, 0.36], FrameMargins -> Inherited, 
               StripOnInput -> False], TraditionalForm], 1], 
            InsetBox[
             FormBox[
              FrameBox[
              "2", Background -> RGBColor[1, 1, 0.8], FrameStyle -> 
               RGBColor[0.94, 0.85, 0.36], FrameMargins -> Inherited, 
               StripOnInput -> False], TraditionalForm], 3], 
            InsetBox[
             FormBox[
              FrameBox[
              "3", Background -> RGBColor[1, 1, 0.8], FrameStyle -> 
               RGBColor[0.94, 0.85, 0.36], FrameMargins -> Inherited, 
               StripOnInput -> False], TraditionalForm], 5]}}, {}], 
         Annotation[#, 
          VertexCoordinateRules -> {{0.5834839714194051, 
           1.7504519139700543`}, {1.1669679426292388`, 1.1669679426816313`}, {
           0., 3.1435676284274905`*^-10}, {1.1669679425180968`, 
           0.34179699711380096`}, {1.7504519139962516`, 
           1.7504519138128756`}, {2.333935884944121, 0.}}]& ], FrameTicks -> 
        None, PlotRange -> All, PlotRangePadding -> Scaled[0.1], AspectRatio -> 
        Automatic, ImageSize -> 150], "3"}, "Labeled", 
      DisplayFunction -> (GridBox[{{
          ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"], 
          TagBox[
           ItemBox[
            PaneBox[
             TagBox[#, "SkipImageSizeLevel"], Alignment -> {Center, Baseline},
              BaselinePosition -> Baseline], DefaultBaseStyle -> "Labeled"], 
           "SkipImageSizeLevel"]}}, 
        GridBoxAlignment -> {"Columns" -> {{Center}}, "Rows" -> {{Center}}}, 
        AutoDelete -> False, 
        GridBoxItemSize -> {
         "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
        BaselinePosition -> {1, 2}]& ), 
      InterpretationFunction -> (RowBox[{"Labeled", "[", 
         RowBox[{#, ",", #2, ",", "Left"}], "]"}]& )], "+", 
     TemplateBox[{
       GraphicsBox[
        TagBox[
         GraphicsComplexBox[CompressedData["
1:eJxTTMoPSmViYGCQBWIQfWTi/cnPVj+yd+ndffcm4x/7T1oXgfxP9kuPXAHT
DEjActZX2+3tJ8Hil5LkmhkeXLW/FnsMyGdygKlRitoLNkftwAYwrXJ0udmK
b7/tjz6s/JvG+8c+PujZ3Dif3/ZR2vtnK/34Y7/d79mJHa9+2W/t1zYx4vxn
v3nH38vdN3/Zm0iHb1un9d9e4MiJPAup3/bmF64/Wa/E4OB9SHBS3/Lf9lo3
1vj6LGRwyH2yidWi7I/98V89e1nYGR2MfohpLyz9ax//W7N8gzejw6GzBgm+
E//Zp1jmJ53NZHTYdSp+bfWm//az/3eqf4xjdIir/fv/TwKDQwYz14lf2owO
Nzk27ma4yuBgf3kpmF6TLwIWv7jhI1idZ8NksL79De5gc5T3l4PNFYmTANvz
o8sQbC/Xx39aIHfsXzMZ7K75p2eD3Xnu2iawu/u4/kwE+cMs5C7YX8cPbwH7
89umRLC/WRa/BoeDi6sZOFxy9a+Bwymh6xQ43H7y3ACHY0hGGzhcpcVng8MZ
ACTU5JY=
          "], {{
            RGBColor[0.5, 0., 0.], 
            
            LineBox[{{1, 2}, {2, 4}, {2, 6}, {3, 4}, {5, 4}, {6, 7, 8, 9, 10, 
              11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 
              27, 28, 29, 6}}]}, {
            InsetBox[
             FormBox[
              FrameBox[
              "1", Background -> RGBColor[1, 1, 0.8], FrameStyle -> 
               RGBColor[0.94, 0.85, 0.36], FrameMargins -> Inherited, 
               StripOnInput -> False], TraditionalForm], 1], 
            InsetBox[
             FormBox[
              FrameBox[
              "2", Background -> RGBColor[1, 1, 0.8], FrameStyle -> 
               RGBColor[0.94, 0.85, 0.36], FrameMargins -> Inherited, 
               StripOnInput -> False], TraditionalForm], 3], 
            InsetBox[
             FormBox[
              FrameBox[
              "3", Background -> RGBColor[1, 1, 0.8], FrameStyle -> 
               RGBColor[0.94, 0.85, 0.36], FrameMargins -> Inherited, 
               StripOnInput -> False], TraditionalForm], 5]}}, {}], 
         Annotation[#, 
          VertexCoordinateRules -> {{0.5834839714194051, 
           1.7504519139700543`}, {1.1669679426292388`, 1.1669679426816313`}, {
           0., 3.1435676284274905`*^-10}, {1.1669679425180968`, 
           0.34179699711380096`}, {2.333935884944121, 0.}, {
           1.7504519139962516`, 1.7504519138128756`}}]& ], FrameTicks -> None,
         PlotRange -> All, PlotRangePadding -> Scaled[0.1], AspectRatio -> 
        Automatic, ImageSize -> 150], "3"}, "Labeled", 
      DisplayFunction -> (GridBox[{{
          ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"], 
          TagBox[
           ItemBox[
            PaneBox[
             TagBox[#, "SkipImageSizeLevel"], Alignment -> {Center, Baseline},
              BaselinePosition -> Baseline], DefaultBaseStyle -> "Labeled"], 
           "SkipImageSizeLevel"]}}, 
        GridBoxAlignment -> {"Columns" -> {{Center}}, "Rows" -> {{Center}}}, 
        AutoDelete -> False, 
        GridBoxItemSize -> {
         "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
        BaselinePosition -> {1, 2}]& ), 
      InterpretationFunction -> (RowBox[{"Labeled", "[", 
         RowBox[{#, ",", #2, ",", "Left"}], "]"}]& )], "+", 
     TemplateBox[{
       GraphicsBox[
        TagBox[
         GraphicsComplexBox[CompressedData["
1:eJw1j30slAEAxg8hJ5XTSio65GvqFrNS8pxcIydNV7FQm890dT7GmVaaSzR0
Yct0NF0pE02OMqs1FbeZfFxlJboLZetjpebee1/3vtabzbM9e/bbfv88/OSs
I2mWHA7Hi+3/XQ7p01BfMGMhDA4oGvzW/AUTF26x/Ae6ukKW57HseYmVLK8Q
UkFVS34bE9uhNy/CI1tslTvKgJtWtuQfzZOPzI+bIIipeTLFW8TC0KZqv980
Hv611+W8ZaCOFWrnOmk0feYnUNUMUmRBl8jzNKps8icqYxhU6OPrJCIaz52l
+WF2DOLHTwU6rWV9a+W0/0satc5kR4TejMW4Z9K0QhqZvHuPOO1mHGjxn7YQ
0DhpNWFxSGGGTXB+z1kHElzrntIuNwpWX5VZJS9MyJLs2nHHSKI5RLVTkGdC
f+/dxNBhEr8UUaFXtpnwfSBDeqOFRBfXE41jBOwUug+aMhK573uFtSUE9K6F
IvVpEte3Ew8uBxBoiPspPRNNQnb10+5igxFa9W3vDYEkIj+awyP6GGj281sP
FzDwDprRiXIYTFaOpdNJDEQVziEBbgxU/ZHK/jAGlvGP9/kO05Alz1Gd7gy0
BmVoeBGNay4nMnQcBmu8IL7J/tN4uMp9Jtm9GOUgmjbDtrq8qa+LRrtv6quE
WjPOGVZGa8ppZPe0qbTsP5ep2dGNPgvo5m5xTPEzYfWbze7pZgqOSWJV/RQB
w+DAVrfXFMiDMtsyFQFX++RGiYqCZ2Kqeu8xAj+sM/c4pVPgKbr5I44EePJK
iUxAwS57qPX4qBHvaopXyQkSpesitLNVRhStvx8W8pTEP25UMGc=
          "], {{
            RGBColor[0.5, 0., 0.], 
            
            LineBox[{{1, 2}, {2, 6}, {3, 2}, {4, 5}, {5, 7, 8, 9, 10, 11, 12, 
              13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 6}, {5, 23, 24, 25, 26, 
              27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38, 6}}]}, {
            InsetBox[
             FormBox[
              FrameBox[
              "1", Background -> RGBColor[1, 1, 0.8], FrameStyle -> 
               RGBColor[0.94, 0.85, 0.36], FrameMargins -> Inherited, 
               StripOnInput -> False], TraditionalForm], 1], 
            InsetBox[
             FormBox[
              FrameBox[
              "2", Background -> RGBColor[1, 1, 0.8], FrameStyle -> 
               RGBColor[0.94, 0.85, 0.36], FrameMargins -> Inherited, 
               StripOnInput -> False], TraditionalForm], 3], 
            InsetBox[
             FormBox[
              FrameBox[
              "3", Background -> RGBColor[1, 1, 0.8], FrameStyle -> 
               RGBColor[0.94, 0.85, 0.36], FrameMargins -> Inherited, 
               StripOnInput -> False], TraditionalForm], 4]}}, {}], 
         Annotation[#, 
          VertexCoordinateRules -> {{0., 2.2360679776221524`}, {
           0.6454972242805247, 1.1180339888303965`}, {1.2909944484941216`, 
           0.}, {2.581988897590594, 2.2360679772743848`}, {
           1.9364916731427497`, 1.863389981145709}, {1.2909944486949052`, 
           1.4907119850170334`}}]& ], FrameTicks -> None, PlotRange -> All, 
        PlotRangePadding -> Scaled[0.1], AspectRatio -> Automatic, ImageSize -> 
        150], "3"}, "Labeled", DisplayFunction -> (GridBox[{{
          ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"], 
          TagBox[
           ItemBox[
            PaneBox[
             TagBox[#, "SkipImageSizeLevel"], Alignment -> {Center, Baseline},
              BaselinePosition -> Baseline], DefaultBaseStyle -> "Labeled"], 
           "SkipImageSizeLevel"]}}, 
        GridBoxAlignment -> {"Columns" -> {{Center}}, "Rows" -> {{Center}}}, 
        AutoDelete -> False, 
        GridBoxItemSize -> {
         "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
        BaselinePosition -> {1, 2}]& ), 
      InterpretationFunction -> (RowBox[{"Labeled", "[", 
         RowBox[{#, ",", #2, ",", "Left"}], "]"}]& )], "+", 
     TemplateBox[{
       GraphicsBox[
        TagBox[
         GraphicsComplexBox[CompressedData["
1:eJw1jw0slAEcxg8hJ5XTSio65GvqFrNS8pxcIydNV7FQm890dT7GmVaaSzR0
Yct0NF0pE02OMqs1FbeZfFxlJboLZetjpebee1/3vtabzbP99+y3579ne/jJ
WUfSLDkcjhd7/31ZpE9DfcGMhTA4oGjwW/MXTFy4xfIfeImVLK8QUkFVS3kb
E9uhNy/CI1tslTvKQFdXyObzWO7hppUt8dE8+cj8uAmCmJonU7xFLAxtqvb7
TePhX3tdzlsG6lihdq6TRtNnfgJVzSBFFnSJPE+jyiZ/ojKGQYU+vk4iovHc
WZofZscgfvxUoNNa9t9aOe3/kkatM9kRoTdjMe6ZNK2QRibv3iNOuxkHWvyn
LQQ0TlpNWBxSmGETnN9z1oEE17qntMuNgtVXZVbJCxOyJLt23DGSaA5R7RTk
mdDfezcxdJjEL0VU6JVtJnwfyJDeaCHRxfVE4xgBO4Xug6aMRO77XmFtCQG9
a6FIfZrE9e3Eg8sBBBrifkrPRJOQXf20u9hghFZ923tDIInIj+bwiD4Gmv38
1sMFDLyDZnSiHAaTlWPpdBIDUYVzSIAbA1V/pLI/jIFl/ON9vsM0ZMlzVKc7
A61BGRpeROOay4kMHYfBGi+Ib7L7NB6ucp9J1i9GOYimzbCtLm/q66LR7pv6
KqHWjHOGldGachrZPW0qLbvPZWp2dKPPArq5WxxT/ExY/Waze7qZgmOSWFU/
RcAwOLDV7TUF8qDMtkxFwNU+uVGiouCZmKree4zAD+vMPU7pFHiKbv6IIwGe
vFIiE1Cwyx5qPT5qxLua4lVygkTpugjtbJURRevvh4U8JfEPy3QwZw==
          "], {{
            RGBColor[0.5, 0., 0.], 
            
            LineBox[{{1, 2}, {2, 6}, {3, 4}, {4, 7, 8, 9, 10, 11, 12, 13, 14, 
              15, 16, 17, 18, 19, 20, 21, 22, 6}, {4, 23, 24, 25, 26, 27, 28, 
              29, 30, 31, 32, 33, 34, 35, 36, 37, 38, 6}, {5, 2}}]}, {
            InsetBox[
             FormBox[
              FrameBox[
              "1", Background -> RGBColor[1, 1, 0.8], FrameStyle -> 
               RGBColor[0.94, 0.85, 0.36], FrameMargins -> Inherited, 
               StripOnInput -> False], TraditionalForm], 1], 
            InsetBox[
             FormBox[
              FrameBox[
              "2", Background -> RGBColor[1, 1, 0.8], FrameStyle -> 
               RGBColor[0.94, 0.85, 0.36], FrameMargins -> Inherited, 
               StripOnInput -> False], TraditionalForm], 3], 
            InsetBox[
             FormBox[
              FrameBox[
              "3", Background -> RGBColor[1, 1, 0.8], FrameStyle -> 
               RGBColor[0.94, 0.85, 0.36], FrameMargins -> Inherited, 
               StripOnInput -> False], TraditionalForm], 5]}}, {}], 
         Annotation[#, 
          VertexCoordinateRules -> {{0., 2.2360679776221524`}, {
           0.6454972242805247, 1.1180339888303965`}, {2.581988897590594, 
           2.2360679772743848`}, {1.9364916731427497`, 1.863389981145709}, {
           1.2909944484941216`, 0.}, {1.2909944486949052`, 
           1.4907119850170334`}}]& ], FrameTicks -> None, PlotRange -> All, 
        PlotRangePadding -> Scaled[0.1], AspectRatio -> Automatic, ImageSize -> 
        150], "3"}, "Labeled", DisplayFunction -> (GridBox[{{
          ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"], 
          TagBox[
           ItemBox[
            PaneBox[
             TagBox[#, "SkipImageSizeLevel"], Alignment -> {Center, Baseline},
              BaselinePosition -> Baseline], DefaultBaseStyle -> "Labeled"], 
           "SkipImageSizeLevel"]}}, 
        GridBoxAlignment -> {"Columns" -> {{Center}}, "Rows" -> {{Center}}}, 
        AutoDelete -> False, 
        GridBoxItemSize -> {
         "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
        BaselinePosition -> {1, 2}]& ), 
      InterpretationFunction -> (RowBox[{"Labeled", "[", 
         RowBox[{#, ",", #2, ",", "Left"}], "]"}]& )], "+", 
     TemplateBox[{
       GraphicsBox[
        TagBox[
         GraphicsComplexBox[CompressedData["
1:eJxNUH0s1AEAPcfWkrXbtCHjjunc6JOiGR6yqC4Kwx+Vy7nLR8mMO1+bsoWU
K6WxtD6OoXyU45aQPjVDddb94Vsb4+6Q7ndHv5/7XXX9Yettb29v771/nlvy
5RgRk8FgcC38p5sgeQ/qpHNWIbaismFt0zzchQnW2SozRmvzLd6Izd7EUGTH
jOk3pq5XWfp6cE/ILLlNCHXo9n97I+JyJF+N479QPe3T6OiwiP2fvVuipWYE
rggrXF4v4tTLWTF91oyeP6Qy7LwGO6tiZAOhZiS6vlHEWWuxW0VRne5miN5u
6+DUazHhLbwwyjCDOfusJidEB3qcK+FN0ahW37VnT+owtnKn4WMXDTgLmlaz
l5Axz+IrKmhc7E2h7Sb1uOKqUznxNnDJz3gtaxcB4Su2u9hEQdA2QPtnEmAk
jXDYIxRmSuW3+EoCTH7Ko9j7FAIPt67VbBCQr6cH2IspOHxLzLUJNmDQURab
uY+CX33YUlGxAUPaEjvJOgmfnkHVcr8B2z2aQgN7SfT12Lyby19Aaie3ymuV
hlLDuvmBXEDryvFPPztpGMvnpV2Fi2jvRzFZQKO5P0haydRA/T25Njachsjt
9BGPSg0kN9J87Vk0BGrbtJPOWuTlWSkiZkyIfN8WP9WqxQ7X9heM5yYc6x5J
qw/VgeyeszpZYgKxtW5aHKaHnaGvtItNIWLPVc9omR6PtQF75WskWM25ogbL
P0XmxjPBX0gI/AcSo7wIPGxJz7j3lIS4fCnhYAEB/hb1mKKMhLImKj5omEDS
0cLwJ6kkjByn5WgXA3icHxnpfBKDzQfOxWQZEGkr93TwJfEXORQ4kw==
          "], {{
            RGBColor[0.5, 0., 0.], 
            LineBox[{{1, 2}, {2, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 
              19, 20, 21, 22, 6}, {2, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 
              33, 34, 35, 36, 37, 38, 6}, {3, 4}, {4, 6}, {5, 4}}]}, {
            InsetBox[
             FormBox[
              FrameBox[
              "1", Background -> RGBColor[1, 1, 0.8], FrameStyle -> 
               RGBColor[0.94, 0.85, 0.36], FrameMargins -> Inherited, 
               StripOnInput -> False], TraditionalForm], 1], 
            InsetBox[
             FormBox[
              FrameBox[
              "2", Background -> RGBColor[1, 1, 0.8], FrameStyle -> 
               RGBColor[0.94, 0.85, 0.36], FrameMargins -> Inherited, 
               StripOnInput -> False], TraditionalForm], 3], 
            InsetBox[
             FormBox[
              FrameBox[
              "3", Background -> RGBColor[1, 1, 0.8], FrameStyle -> 
               RGBColor[0.94, 0.85, 0.36], FrameMargins -> Inherited, 
               StripOnInput -> False], TraditionalForm], 5]}}, {}], 
         Annotation[#, 
          VertexCoordinateRules -> {{0., 2.2360679776221524`}, {
           0.6454972243474526, 1.8633899813195929`}, {1.2909944484941216`, 
           0.}, {1.9364916730088937`, 1.1180339886565127`}, {
           2.581988897590594, 2.2360679772743848`}, {1.2909944486949052`, 
           1.4907119850170334`}}]& ], FrameTicks -> None, PlotRange -> All, 
        PlotRangePadding -> Scaled[0.1], AspectRatio -> Automatic, ImageSize -> 
        150], "3"}, "Labeled", DisplayFunction -> (GridBox[{{
          ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"], 
          TagBox[
           ItemBox[
            PaneBox[
             TagBox[#, "SkipImageSizeLevel"], Alignment -> {Center, Baseline},
              BaselinePosition -> Baseline], DefaultBaseStyle -> "Labeled"], 
           "SkipImageSizeLevel"]}}, 
        GridBoxAlignment -> {"Columns" -> {{Center}}, "Rows" -> {{Center}}}, 
        AutoDelete -> False, 
        GridBoxItemSize -> {
         "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
        BaselinePosition -> {1, 2}]& ), 
      InterpretationFunction -> (RowBox[{"Labeled", "[", 
         RowBox[{#, ",", #2, ",", "Left"}], "]"}]& )]}],
   "\"\\!\\(\\*SuperscriptBox[\\(\[Lambda]\\), \
\\(3\\)]\\)(\\!\\(\\*SuperscriptBox[\\(\[Phi]\\), \
\\(3\\)]\\)\\!\\(\\*SuperscriptBox[\\()\\), \\(3\\)]\\) contribution to the \
3pt function\""},
  "Labeled",
  DisplayFunction->(GridBox[{{
      ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}, {
      TagBox[
       ItemBox[
        PaneBox[
         TagBox[#, "SkipImageSizeLevel"], Alignment -> {Center, Baseline}, 
         BaselinePosition -> Baseline], DefaultBaseStyle -> "Labeled"], 
       "SkipImageSizeLevel"]}}, 
    GridBoxAlignment -> {"Columns" -> {{Center}}, "Rows" -> {{Center}}}, 
    AutoDelete -> False, 
    GridBoxItemSize -> {"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
    BaselinePosition -> {2, 1}]& ),
  InterpretationFunction->(RowBox[{"Labeled", "[", 
     RowBox[{#, ",", #2, ",", "Top"}], "]"}]& )]], "Output",
 CellChangeTimes->{
  3.702209352381504*^9, {3.7022096398577833`*^9, 3.7022096455667562`*^9}, {
   3.702209691053726*^9, 3.7022097893376503`*^9}, {3.702209828249778*^9, 
   3.7022098440375834`*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Export", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"NotebookDirectory", "[", "]"}], "<>", "\"\<graphs.pdf\>\""}], 
   ",", "finalPicture"}], "]"}]], "Input",
 CellChangeTimes->{{3.702209850331689*^9, 3.702209876503883*^9}}],

Cell[BoxData["\<\"/Users/pedrovieira/Dropbox/curso mathematica \
saifr/graphs.pdf\"\>"], "Output",
 CellChangeTimes->{{3.7022098536763563`*^9, 3.7022098775137157`*^9}}]
}, Open  ]]
}, Closed]]
}, Open  ]]
},
WindowSize->{1024, 683},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
PrintingCopies->1,
PrintingPageRange->{1, Automatic},
ShowSelection->True,
FrontEndVersion->"11.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (July 28, \
2016)",
StyleDefinitions->FrontEnd`FileName[{"Creative"}, "NaturalColor.nb", 
  CharacterEncoding -> "UTF-8"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[422, 15, 121, 1, 61, "Title"],
Cell[CellGroupData[{
Cell[568, 20, 110, 1, 73, "Section"],
Cell[681, 23, 182, 3, 29, "Text"],
Cell[866, 28, 123, 1, 29, "Text"],
Cell[CellGroupData[{
Cell[1014, 33, 327, 8, 42, "Input"],
Cell[1344, 43, 334, 8, 42, "Output"]
}, Open  ]],
Cell[1693, 54, 234, 6, 65, "Text"],
Cell[1930, 62, 3254, 83, 219, "Input"],
Cell[CellGroupData[{
Cell[5209, 149, 617, 17, 42, "Input"],
Cell[5829, 168, 3110, 93, 85, "Output"]
}, Open  ]],
Cell[8954, 264, 207, 3, 29, "Text"],
Cell[9164, 269, 1601, 41, 107, "Input",
 Evaluatable->False],
Cell[10768, 312, 2544, 81, 187, "Input"],
Cell[CellGroupData[{
Cell[13337, 397, 324, 9, 42, "Input"],
Cell[13664, 408, 333, 8, 62, "Output"]
}, Open  ]],
Cell[14012, 419, 2252, 55, 108, "Input"],
Cell[CellGroupData[{
Cell[16289, 478, 613, 17, 42, "Input"],
Cell[16905, 497, 2384, 64, 63, "Output"]
}, Open  ]],
Cell[19304, 564, 503, 12, 64, "Input"],
Cell[CellGroupData[{
Cell[19832, 580, 663, 18, 42, "Input"],
Cell[20498, 600, 1850, 52, 63, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[22385, 657, 2977, 79, 106, "Input"],
Cell[25365, 738, 3542, 101, 103, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[28944, 844, 864, 24, 85, "Input"],
Cell[29811, 870, 1183, 37, 42, "Output"],
Cell[30997, 909, 937, 30, 42, "Output"],
Cell[31937, 941, 120, 2, 42, "Output"]
}, Open  ]],
Cell[32072, 946, 2532, 72, 98, "Input"],
Cell[CellGroupData[{
Cell[34629, 1022, 159, 3, 42, "Input"],
Cell[34791, 1027, 1312, 37, 63, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[36152, 1070, 225, 7, 45, "Section"],
Cell[36380, 1079, 687, 17, 57, "Text"],
Cell[37070, 1098, 1318, 37, 64, "Input"],
Cell[38391, 1137, 527, 12, 42, "Input"],
Cell[38921, 1151, 239, 3, 29, "Text"],
Cell[CellGroupData[{
Cell[39185, 1158, 577, 14, 42, "Input"],
Cell[39765, 1174, 1837, 43, 156, "Output"]
}, Open  ]],
Cell[41617, 1220, 1441, 37, 64, "Input"],
Cell[43061, 1259, 1317, 32, 148, "Input"],
Cell[44381, 1293, 408, 10, 42, "Input"],
Cell[44792, 1305, 852, 21, 64, "Input"],
Cell[CellGroupData[{
Cell[45669, 1330, 823, 22, 105, "Input"],
Cell[46495, 1354, 16977, 378, 404, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[63509, 1737, 1072, 27, 89, "Input"],
Cell[64584, 1766, 22297, 448, 424, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[86918, 2219, 246, 6, 42, "Input"],
Cell[87167, 2227, 168, 2, 42, "Output"]
}, Open  ]]
}, Closed]]
}, Open  ]]
}
]
*)

